/*      Compiler: ECL 23.9.9                                          */
/*      Source: /build/ecl/src/ecl-23.9.9/src/cmp/cmppass1-special.lsp */
#include <ecl/ecl-cmp.h>
#include "cmp/cmppass1-special.eclh"
/*      function definition for C1QUOTE                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3413c1quote(cl_object v1args)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[22])(4, ECL_SYM("QUOTE",681), v1args, ecl_make_fixnum(1), ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  T0 = ecl_car(v1args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[23])(3, T0, VV[0], ECL_T) /*  C1CONSTANT-VALUE */;
  return value0;
 }
}
/*      function definition for C1DECLARE                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3414c1declare(cl_object v1args)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = CONS(ECL_SYM("DECLARE",276),v1args);
  value0 = ecl_function_dispatch(cl_env_copy,VV[25])(2, VV[2], T0) /*  CMPERR */;
  return value0;
 }
}
/*      function definition for C1THE                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3415c1the(cl_object v1args)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[22])(4, ECL_SYM("THE",858), v1args, ecl_make_fixnum(2), ecl_make_fixnum(2)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object v2type;
   v2type = ecl_car(v1args);
   if (Null(ecl_function_dispatch(cl_env_copy,VV[27])(0) /*  POLICY-THE-IS-CHECKED */)) { goto L3; }
   if (!(ECL_CONSP(v2type))) { goto L7; }
   T0 = ecl_car(v2type);
   if ((T0)==(ECL_SYM("VALUES",897))) { goto L3; }
   goto L4;
L7:;
   goto L4;
L4:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[28])(1, v1args) /*  C1CHECKED-VALUE */;
   return value0;
L3:;
   value0 = L3416c1truly_the(v1args);
   return value0;
  }
 }
}
/*      function definition for C1TRULY-THE                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3416c1truly_the(cl_object v1args)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[22])(4, ECL_SYM("TRULY-THE",2068), v1args, ecl_make_fixnum(2), ecl_make_fixnum(2)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object v2form;
   cl_object v3the_type;
   cl_object v4type;
   T0 = ecl_cadr(v1args);
   v2form = ecl_function_dispatch(cl_env_copy,VV[30])(1, T0) /*  C1EXPR */;
   v3the_type = ecl_car(v1args);
   v4type = ECL_NIL;
   T0 = ecl_function_dispatch(cl_env_copy,VV[31])(1, v2form) /*  C1FORM-TYPE */;
   v4type = ecl_function_dispatch(cl_env_copy,VV[32])(2, v3the_type, T0) /*  VALUES-TYPE-AND */;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[33])(1, v4type) /*  VALUES-TYPE-PRIMARY-TYPE */)) { goto L8; }
   ecl_structure_set(v2form,VV[5],1,v4type);
   goto L7;
L8:;
   T0 = CONS(ECL_SYM("THE",858),v1args);
   ecl_function_dispatch(cl_env_copy,VV[34])(2, VV[6], T0) /*  CMPWARN */;
L7:;
   value0 = v2form;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for C1COMPILER-LET                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3417c1compiler_let(cl_object v1args)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2symbols;
   cl_object v3values;
   v2symbols = ECL_NIL;
   v3values = ECL_NIL;
   if (!(ecl_endp(v1args))) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[36])(3, ECL_SYM("COMPILER-LET",1369), ecl_make_fixnum(1), ecl_make_fixnum(0)) /*  TOO-FEW-ARGS */;
L3:;
   {
    cl_object v4;
    v4 = ecl_car(v1args);
    goto L9;
L8:;
    {
     cl_object v5spec;
     v5spec = ecl_car(v4);
     if (!(ECL_CONSP(v5spec))) { goto L14; }
     T0 = ecl_car(v5spec);
     if (!(ECL_SYMBOLP(T0))) { goto L19; }
     T0 = ecl_cdr(v5spec);
     if (ecl_endp(T0)) { goto L16; }
     T0 = ecl_cddr(v5spec);
     if (ecl_endp(T0)) { goto L16; }
     goto L17;
L19:;
     goto L17;
L17:;
     ecl_function_dispatch(cl_env_copy,VV[25])(2, VV[8], v5spec) /*  CMPERR */;
L16:;
     T0 = ecl_car(v5spec);
     v2symbols = CONS(T0,v2symbols);
     T1 = ecl_cdr(v5spec);
     if (!(ecl_endp(T1))) { goto L26; }
     T0 = ECL_NIL;
     goto L25;
L26:;
     T1 = ecl_cadr(v5spec);
     T0 = cl_eval(T1);
L25:;
     v3values = CONS(T0,v3values);
     goto L13;
L14:;
     if (!(ECL_SYMBOLP(v5spec))) { goto L28; }
     v2symbols = CONS(v5spec,v2symbols);
     v3values = CONS(ECL_NIL,v3values);
     goto L13;
L28:;
     ecl_function_dispatch(cl_env_copy,VV[25])(2, VV[8], v5spec) /*  CMPERR */;
L13:;
    }
    v4 = ecl_cdr(v4);
L9:;
    if (Null(v4)) { goto L35; }
    goto L8;
L35:;
   }
   v2symbols = cl_nreverse(v2symbols);
   v3values = cl_nreverse(v3values);
   {
    cl_object v5, v6; cl_index v4;
    v5 = v2symbols;
    v6 = v3values;
    v4 = ecl_progv(cl_env_copy, v5, v6);
    T0 = ecl_cdr(v1args);
    v1args = ecl_function_dispatch(cl_env_copy,VV[37])(1, T0) /*  C1PROGN */;
    ecl_bds_unwind(cl_env_copy,v4);
   }
   value0 = ecl_function_dispatch(cl_env_copy,VV[38])(5, ECL_SYM("COMPILER-LET",1369), v1args, v2symbols, v3values, v1args) /*  MAKE-C1FORM */;
   return value0;
  }
 }
}
/*      function definition for C1FUNCTION                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3418c1function(cl_object v1args)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  ecl_function_dispatch(cl_env_copy,VV[22])(4, ECL_SYM("FUNCTION",398), v1args, ecl_make_fixnum(1), ecl_make_fixnum(1)) /*  CHECK-ARGS-NUMBER */;
  {
   cl_object v2fun;
   v2fun = ecl_car(v1args);
   if (Null(si_valid_function_name_p(v2fun))) { goto L3; }
   {
    cl_object v3funob;
    v3funob = ecl_function_dispatch(cl_env_copy,VV[40])(2, v2fun, ECL_T) /*  LOCAL-FUNCTION-REF */;
    if (Null(v3funob)) { goto L6; }
    {
     cl_object v4var;
     v4var = ecl_function_dispatch(cl_env_copy,VV[41])(1, v3funob) /*  FUN-VAR */;
     T0 = ecl_function_dispatch(cl_env_copy,VV[42])(3, VV[10], VV[11], v4var) /*  MAKE-C1FORM* */;
     value0 = ecl_function_dispatch(cl_env_copy,VV[43])(2, v4var, T0) /*  ADD-TO-READ-NODES */;
     return value0;
    }
L6:;
    if (!(ECL_SYMBOLP(v2fun))) { goto L12; }
    T1 = si_get_sysprop(v2fun, VV[13]);
    goto L10;
L12:;
    T1 = ECL_NIL;
    goto L10;
L10:;
    T0 = Null(T1)?ECL_T:ECL_NIL;
    value0 = ecl_function_dispatch(cl_env_copy,VV[42])(9, ECL_SYM("FUNCTION",398), ECL_SYM("TYPE",1353), ECL_SYM("FUNCTION",398), VV[12], T0, VV[11], VV[14], ECL_NIL, v2fun) /*  MAKE-C1FORM* */;
    return value0;
   }
L3:;
   if (!(ECL_CONSP(v2fun))) { goto L14; }
   {
    cl_object v5;
    v5 = ecl_car(v2fun);
    if (!((v5)==(ECL_SYM("LAMBDA",454)))) { goto L21; }
    goto L18;
    goto L19;
L21:;
    goto L19;
L19:;
    if (!((v5)==(ECL_SYM("LAMBDA-BLOCK",1374)))) { goto L14; }
    goto L15;
L18:;
   }
L15:;
   T0 = ecl_cdr(v2fun);
   if (!(ecl_endp(T0))) { goto L24; }
   ecl_function_dispatch(cl_env_copy,VV[25])(2, VV[17], v2fun) /*  CMPERR */;
L24:;
   {
    cl_object v5name;
    cl_object v6body;
    v5name = ECL_NIL;
    v6body = ECL_NIL;
    T0 = ecl_car(v2fun);
    if (!((T0)==(ECL_SYM("LAMBDA",454)))) { goto L29; }
    {
     cl_object v7decl;
     T0 = ecl_cddr(v2fun);
     v7decl = si_process_declarations(1, T0);
     value0 = ecl_function_dispatch(cl_env_copy,VV[44])(1, v7decl) /*  FUNCTION-BLOCK-NAME-DECLARATION */;
     if ((value0)!=ECL_NIL) { goto L35; }
     v5name = cl_gensym(1, VV[18]);
     goto L33;
L35:;
     v5name = value0;
     goto L33;
L33:;
     v6body = ecl_cdr(v2fun);
     goto L28;
    }
L29:;
    v5name = ecl_cadr(v2fun);
    v6body = ecl_cddr(v2fun);
L28:;
    T0 = CONS(v5name,v6body);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, ECL_SYM("FUNCTION",398), v5name);
    T3 = cl_list(3, ECL_SYM("FLET",375), T1, T2);
    value0 = ecl_function_dispatch(cl_env_copy,VV[30])(1, T3) /*  C1EXPR */;
    return value0;
   }
L14:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[25])(2, VV[19], v2fun) /*  CMPERR */;
   return value0;
  }
 }
}

#include "cmp/cmppass1-special.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclSt5qx3GOiteh9_QdHpUB71(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPPASS1-SPECIAL.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclSt5qx3GOiteh9_QdHpUB71@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  ecl_cmp_defun(VV[21]);                          /*  C1QUOTE         */
  ecl_cmp_defun(VV[24]);                          /*  C1DECLARE       */
  ecl_cmp_defun(VV[26]);                          /*  C1THE           */
  ecl_cmp_defun(VV[29]);                          /*  C1TRULY-THE     */
  ecl_cmp_defun(VV[35]);                          /*  C1COMPILER-LET  */
  ecl_cmp_defun(VV[39]);                          /*  C1FUNCTION      */
}
