/*      Compiler: ECL 23.9.9                                          */
/*      Source: /build/ecl/src/ecl-23.9.9/src/clos/defcombin.lsp      */
#include <ecl/ecl-cmp.h>
#include "clos/defcombin.eclh"
/*      function definition for SEARCH-METHOD-COMBINATION             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1897search_method_combination(cl_object volatile v1name)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2;
   v2 = ecl_symbol_value(VV[0]);
   if (Null(mp_get_lock(2, v2, ECL_T))) { goto L2; }
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     volatile cl_object v3;
     v3 = _ecl_inner_frame;
     {
      volatile cl_object v4;
      v4 = ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",7));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",7),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
      ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1809),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
      {
       volatile bool unwinding = FALSE;
       cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
       ecl_frame_ptr next_fr;
       ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG);
       if (__ecl_frs_push_result) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",7),v4); /*  *INTERRUPTS-ENABLED* */
       value0 = ecl_gethash_safe(v1name,ecl_symbol_value(VV[1]),ECL_NIL);
       if ((value0)!=ECL_NIL) { goto L11; }
       cl_env_copy->values[0] = cl_error(2, VV[2], v1name);
       ecl_bds_unwind1(cl_env_copy);
       goto L9;
L11:;
       cl_env_copy->values[0] = value0;
       cl_env_copy->nvalues = 1;
       ecl_bds_unwind1(cl_env_copy);
       goto L9;
L9:;
       }
       ecl_frs_pop(cl_env_copy);
       v6=ecl_stack_push_values(cl_env_copy);
       mp_giveup_lock(v2);
       ecl_stack_pop_values(cl_env_copy,v6);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,v5);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
      }
     }
     ecl_stack_frame_push_values(v3);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     if (Null(ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",7)))) { goto L14; }
     si_check_pending_interrupts();
L14:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v3);
     value0 = cl_env_copy->values[0];
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   return value0;
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for INSTALL-METHOD-COMBINATION            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1898install_method_combination(cl_object volatile v1name, cl_object volatile v2function)
{
 cl_object volatile env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v3;
   v3 = ecl_symbol_value(VV[0]);
   if (Null(mp_get_lock(2, v3, ECL_T))) { goto L1; }
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     volatile cl_object v4;
     v4 = _ecl_inner_frame;
     {
      volatile cl_object v5;
      v5 = ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",7));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",7),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
      ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1809),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
      {
       volatile bool unwinding = FALSE;
       cl_index v6=ECL_STACK_INDEX(cl_env_copy),v7;
       ecl_frame_ptr next_fr;
       ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG);
       if (__ecl_frs_push_result) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",7),v5); /*  *INTERRUPTS-ENABLED* */
       cl_env_copy->values[0] = si_hash_set(v1name, ecl_symbol_value(VV[1]), v2function);
       ecl_bds_unwind1(cl_env_copy);
       }
       ecl_frs_pop(cl_env_copy);
       v7=ecl_stack_push_values(cl_env_copy);
       mp_giveup_lock(v3);
       ecl_stack_pop_values(cl_env_copy,v7);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,v6);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
      }
     }
     ecl_stack_frame_push_values(v4);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     if (Null(ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",7)))) { goto L11; }
     si_check_pending_interrupts();
L11:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v4);
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
  }
L1:;
  value0 = v1name;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAKE-METHOD-COMBINATION               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1905make_method_combination(cl_object v1name, cl_object v2compiler, cl_object v3options)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4_class;
   cl_object v5o;
   v4_class = cl_find_class(1, ECL_SYM("METHOD-COMBINATION",958));
   v5o = si_allocate_raw_instance(ECL_NIL, v4_class, ecl_make_fixnum(3));
   si_instance_set(v5o, ecl_make_fixnum(0), v1name);
   si_instance_set(v5o, ecl_make_fixnum(1), v2compiler);
   si_instance_set(v5o, ecl_make_fixnum(2), v3options);
   if (Null(v4_class)) { goto L6; }
   si_instance_sig_set(v5o);
L6:;
   value0 = v5o;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for FIND-METHOD-COMBINATION               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1906find_method_combination(cl_object v1gf, cl_object v2method_combination_type_name, cl_object v3method_combination_options)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L1897search_method_combination(v2method_combination_type_name);
  value0 = L1905make_method_combination(v2method_combination_type_name, T0, v3method_combination_options);
  return value0;
 }
}
/*      function definition for DEFINE-SIMPLE-METHOD-COMBINATION      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1907define_simple_method_combination(cl_narg narg, cl_object v1name, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2documentation;
  cl_object v3identity_with_one_argument;
  cl_object v4operator;
  ecl_va_list args; ecl_va_start(args,v1name,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L1907define_simple_method_combinationkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2documentation = keyvars[0];
   v3identity_with_one_argument = keyvars[1];
   if (Null(keyvars[5])) {
    v4operator = v1name;
   } else {
    v4operator = keyvars[2];
   }
  }
  T0 = ecl_list1(v1name);
  T1 = cl_listX(3, VV[9], T0, VV[10]);
  T2 = cl_list(2, VV[8], T1);
  T3 = cl_list(2, ECL_SYM("QUOTE",681), v4operator);
  T4 = cl_list(3, ECL_SYM("LIST*",484), T3, VV[12]);
  T5 = cl_list(2, VV[11], T4);
  T6 = ecl_list1(T5);
  if (Null(v3identity_with_one_argument)) { goto L3; }
  T7 = VV[14];
  goto L2;
L3:;
  T7 = ECL_T;
L2:;
  T8 = cl_list(2, T7, VV[11]);
  T9 = cl_list(4, ECL_SYM("COND",249), VV[13], T8, VV[15]);
  T10 = cl_list(3, ECL_SYM("LET",479), T6, T9);
  value0 = cl_list(6, ECL_SYM("DEFINE-METHOD-COMBINATION",941), v1name, VV[7], T2, v2documentation, T10);
  return value0;
 }
}
/*      function definition for METHOD-COMBINATION-ARGUMENTS-RESHUFFLING */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1908method_combination_arguments_reshuffling(cl_object v1mc_whole_arg, cl_object v2mc_lambda_list, cl_object v3gf_lambda_list, cl_object v4body)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v5lambda_list;
   cl_object v6let_statements;
   cl_object v7ignored_vars;
   cl_object v8n_gf_requireds;
   cl_object v9n_gf_optionals;
   v5lambda_list = ECL_NIL;
   v6let_statements = ECL_NIL;
   v7ignored_vars = ECL_NIL;
   v8n_gf_requireds = ECL_NIL;
   v9n_gf_optionals = ECL_NIL;
   {
    cl_object v11;                                /*  MC-REQUIREDS    */
    cl_object v12;                                /*  MC-OPTIONALS    */
    cl_object v13;                                /*  MC-REST         */
    cl_object v14;                                /*  MC-KEY-FLAG     */
    cl_object v15;                                /*  MC-KEYWORDS     */
    cl_object v16;                                /*  MC-AUX-VARS     */
    value0 = si_process_lambda_list(v2mc_lambda_list, ECL_SYM("FUNCTION",398));
    {
     const int v17 = cl_env_copy->nvalues;
     v11 = value0;
     cl_object v18;
     v18 = (v17<=1)? ECL_NIL : cl_env_copy->values[1];
     v12 = v18;
     v18 = (v17<=2)? ECL_NIL : cl_env_copy->values[2];
     v13 = v18;
     v18 = (v17<=3)? ECL_NIL : cl_env_copy->values[3];
     v14 = v18;
     v18 = (v17<=4)? ECL_NIL : cl_env_copy->values[4];
     v15 = v18;
     v18 = (v17<=6)? ECL_NIL : cl_env_copy->values[6];
     v16 = v18;
    }
    {
     cl_object v18;                               /*  GF-REQUIREDS    */
     cl_object v19;                               /*  GF-OPTIONALS    */
     value0 = si_process_lambda_list(v3gf_lambda_list, ECL_SYM("FUNCTION",398));
     {
      const int v20 = cl_env_copy->nvalues;
      v18 = value0;
      cl_object v21;
      v21 = (v20<=1)? ECL_NIL : cl_env_copy->values[1];
      v19 = v21;
     }
     v8n_gf_requireds = ecl_car(v18);
     v9n_gf_optionals = ecl_car(v19);
     if (Null(v1mc_whole_arg)) { goto L12; }
     T0 = cl_list(2, v1mc_whole_arg, VV[17]);
     v6let_statements = CONS(T0,v6let_statements);
L12:;
     {
      cl_object v20;
      cl_object v21r;
      cl_object v22;
      v20 = ecl_cdr(v11);
      v21r = ECL_NIL;
      {
       cl_object v23;
       v23 = v20;
       if (ecl_unlikely(!ECL_LISTP(v23))) FEtype_error_list(v23);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v22 = v23;
      }
      {
       cl_object v23i;
       v23i = ecl_make_fixnum(0);
       if (!(ecl_endp(v22))) { goto L24; }
       goto L23;
L24:;
       v21r = ECL_CONS_CAR(v22);
       {
        cl_object v24;
        v24 = ecl_cdr(v22);
        if (ecl_unlikely(!ECL_LISTP(v24))) FEtype_error_list(v24);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v22 = v24;
       }
L22:;
       if (!(ecl_lower(v23i,v8n_gf_requireds))) { goto L33; }
       v5lambda_list = CONS(v21r,v5lambda_list);
       goto L32;
L33:;
       T0 = cl_list(2, v21r, ECL_NIL);
       v6let_statements = CONS(T0,v6let_statements);
L32:;
       if (!(ecl_endp(v22))) { goto L37; }
       goto L23;
L37:;
       v21r = ECL_CONS_CAR(v22);
       {
        cl_object v24;
        v24 = ecl_cdr(v22);
        if (ecl_unlikely(!ECL_LISTP(v24))) FEtype_error_list(v24);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v22 = v24;
       }
       v23i = ecl_one_plus(v23i);
       goto L22;
L23:;
      }
     }
     {
      cl_object v20;
      cl_object v21;
      cl_object v22v;
      T0 = ecl_car(v11);
      v20 = ecl_minus(v8n_gf_requireds,T0);
      {
       cl_object v23;
       v23 = v20;
       T0 = cl_realp(v23);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",705),v23);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v21 = v23;
      }
      v22v = ECL_NIL;
L54:;
      v21 = ecl_minus(v21,ecl_make_fixnum(1));
      T0 = v21;
      if (!(ecl_minusp(T0))) { goto L56; }
      goto L55;
L56:;
      v22v = cl_gensym(0);
      v5lambda_list = CONS(v22v,v5lambda_list);
      v7ignored_vars = CONS(v22v,v7ignored_vars);
      goto L54;
L55:;
     }
     v5lambda_list = CONS(ECL_SYM("&OPTIONAL",13),v5lambda_list);
     {
      cl_object v20o;
      v20o = ecl_cdr(v12);
      {
       cl_object v21i;
       v21i = ecl_make_fixnum(0);
       if (!(ECL_ATOM(v20o))) { goto L74; }
       goto L73;
L74:;
L72:;
       if (!(ecl_lower(v21i,v9n_gf_optionals))) { goto L77; }
       if (Null(ecl_caddr(v20o))) { goto L81; }
       T1 = ecl_car(v20o);
       T2 = ecl_cadr(v20o);
       T3 = ecl_caddr(v20o);
       T0 = cl_list(3, T1, T2, T3);
       goto L80;
L81:;
       T1 = ecl_car(v20o);
       T2 = ecl_cadr(v20o);
       T0 = cl_list(2, T1, T2);
L80:;
       v5lambda_list = CONS(T0,v5lambda_list);
       goto L76;
L77:;
       T0 = ecl_car(v20o);
       T1 = ecl_cadr(v20o);
       T2 = cl_list(2, T0, T1);
       v6let_statements = CONS(T2,v6let_statements);
       if (Null(ecl_caddr(v20o))) { goto L76; }
       T0 = ecl_caddr(v20o);
       T1 = cl_list(2, T0, ECL_NIL);
       v6let_statements = CONS(T1,v6let_statements);
L76:;
       v20o = ecl_cdddr(v20o);
       if (!(ECL_ATOM(v20o))) { goto L89; }
       goto L73;
L89:;
       v21i = ecl_one_plus(v21i);
       goto L72;
L73:;
      }
     }
     {
      cl_object v20;
      cl_object v21;
      cl_object v22v;
      T0 = ecl_car(v12);
      v20 = ecl_minus(v9n_gf_optionals,T0);
      {
       cl_object v23;
       v23 = v20;
       T0 = cl_realp(v23);
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",705),v23);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v21 = v23;
      }
      v22v = ECL_NIL;
L100:;
      v21 = ecl_minus(v21,ecl_make_fixnum(1));
      T0 = v21;
      if (!(ecl_minusp(T0))) { goto L102; }
      goto L101;
L102:;
      v22v = cl_gensym(0);
      v5lambda_list = CONS(v22v,v5lambda_list);
      v7ignored_vars = CONS(v22v,v7ignored_vars);
      goto L100;
L101:;
     }
     if ((v13)!=ECL_NIL) { goto L113; }
     v13 = cl_gensym(0);
     v7ignored_vars = CONS(v13,v7ignored_vars);
L113:;
     v5lambda_list = CONS(ECL_SYM("&REST",14),v5lambda_list);
     v5lambda_list = CONS(v13,v5lambda_list);
     if (Null(v14)) { goto L122; }
     v5lambda_list = CONS(ECL_SYM("&KEY",12),v5lambda_list);
     {
      cl_object v20k;
      v20k = ecl_cdr(v15);
L128:;
      if (!(ECL_ATOM(v20k))) { goto L130; }
      goto L129;
L130:;
      if (Null(ecl_cadddr(v20k))) { goto L135; }
      T1 = ecl_car(v20k);
      T2 = ecl_cadr(v20k);
      T3 = cl_list(2, T1, T2);
      T4 = ecl_caddr(v20k);
      T5 = ecl_cadddr(v20k);
      T0 = cl_list(3, T3, T4, T5);
      goto L134;
L135:;
      T1 = ecl_car(v20k);
      T2 = ecl_cadr(v20k);
      T3 = cl_list(2, T1, T2);
      T4 = ecl_caddr(v20k);
      T0 = cl_list(2, T3, T4);
L134:;
      v5lambda_list = CONS(T0,v5lambda_list);
      v20k = ecl_cddddr(v20k);
      goto L128;
L129:;
     }
     v5lambda_list = CONS(ECL_SYM("&ALLOW-OTHER-KEYS",8),v5lambda_list);
L122:;
     if (Null(v16)) { goto L141; }
     v5lambda_list = CONS(ECL_SYM("&AUX",9),v5lambda_list);
     {
      cl_object v20a;
      v20a = ecl_cdr(v16);
L146:;
      if (!(ECL_ATOM(v20a))) { goto L148; }
      goto L147;
L148:;
      T0 = ecl_car(v20a);
      T1 = ecl_cadr(v20a);
      T2 = cl_list(2, T0, T1);
      v5lambda_list = CONS(T2,v5lambda_list);
      v20a = ecl_cddr(v20a);
      goto L146;
L147:;
     }
L141:;
     T0 = cl_nreverse(v5lambda_list);
     T1 = CONS(ECL_SYM("IGNORE",430),v7ignored_vars);
     T2 = cl_list(2, ECL_SYM("DECLARE",276), T1);
     T3 = cl_nreverse(v6let_statements);
     T4 = cl_list(3, ECL_SYM("LET",479), T3, v4body);
     T5 = cl_list(4, ECL_SYM("LAMBDA",454), T0, T2, T4);
     T6 = cl_list(2, ECL_SYM("FUNCTION",398), T5);
     value0 = cl_list(3, ECL_SYM("APPLY",91), T6, ECL_SYM(".COMBINED-METHOD-ARGS.",1544));
     return value0;
    }
   }
  }
 }
}
/*      function definition for PROCESS-DEFINE-METHOD-COMBINATION-ARGUMENTS-LAMBDA-LIST */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1910process_define_method_combination_arguments_lambda_list(cl_object v1lambda_list, cl_object v2generic_function, cl_object v3body)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(v1lambda_list==ECL_NIL)) { goto L1; }
  value0 = v3body;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object v4whole;
   T0 = ecl_car(v1lambda_list);
   if (!((T0)==(ECL_SYM("&WHOLE",15)))) { goto L4; }
   {
    cl_object v5;
    v5 = ecl_cadr(v1lambda_list);
    v1lambda_list = ecl_cddr(v1lambda_list);
    v4whole = v5;
    goto L3;
   }
L4:;
   v4whole = ECL_NIL;
L3:;
   {
    cl_object v6;                                 /*  REQUIREDS       */
    cl_object v7;                                 /*  OPTIONALS       */
    cl_object v8;                                 /*  REST            */
    cl_object v9;                                 /*  KEYWORDS        */
    cl_object v10;                                /*  AUX-VARS        */
    value0 = si_process_lambda_list(v1lambda_list, ECL_SYM("FUNCTION",398));
    {
     const int v11 = cl_env_copy->nvalues;
     v6 = value0;
     cl_object v12;
     v12 = (v11<=1)? ECL_NIL : cl_env_copy->values[1];
     v7 = v12;
     v12 = (v11<=2)? ECL_NIL : cl_env_copy->values[2];
     v8 = v12;
     v12 = (v11<=4)? ECL_NIL : cl_env_copy->values[4];
     v9 = v12;
     v12 = (v11<=6)? ECL_NIL : cl_env_copy->values[6];
     v10 = v12;
    }
    {
     cl_object v11;
     {
      cl_object v12;
      v12 = ecl_make_cfun((cl_objectfn_fixed)LC1909__lambda80,ECL_NIL,Cblock,1);
      v11 = v12;
     }
     {
      cl_object v12;
      cl_object v13;
      cl_object v14;
      if (Null(v4whole)) { goto L14; }
      T1 = ecl_list1(v4whole);
      goto L13;
L14:;
      T1 = ECL_NIL;
L13:;
      T2 = ecl_cdr(v6);
      {
       cl_object v15o;
       v15o = ecl_cdr(v7);
       {
        cl_object v16;
        cl_object v17;
        v16 = ecl_list1(ECL_NIL);
        v17 = v16;
L20:;
        if (!(ECL_ATOM(v15o))) { goto L22; }
        goto L21;
L22:;
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
         value0 = ECL_NIL;
         cl_env_copy->nvalues = 0;
         T4 = v18;
        }
        T5 = ecl_car(v15o);
        v17 = ecl_list1(T5);
        (ECL_CONS_CDR(T4)=v17,T4);
        if (Null(ecl_caddr(v15o))) { goto L29; }
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
         value0 = ECL_NIL;
         cl_env_copy->nvalues = 0;
         T4 = v18;
        }
        T5 = ecl_caddr(v15o);
        v17 = ecl_list1(T5);
        (ECL_CONS_CDR(T4)=v17,T4);
L29:;
        v15o = ecl_cdddr(v15o);
        goto L20;
L21:;
        T3 = ecl_cdr(v16);
        goto L16;
       }
      }
L16:;
      if (Null(v8)) { goto L40; }
      T4 = ecl_list1(v8);
      goto L39;
L40:;
      T4 = ECL_NIL;
L39:;
      {
       cl_object v15k;
       v15k = ecl_cdr(v9);
       {
        cl_object v16;
        cl_object v17;
        v16 = ecl_list1(ECL_NIL);
        v17 = v16;
L46:;
        if (!(ECL_ATOM(v15k))) { goto L48; }
        goto L47;
L48:;
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
         value0 = ECL_NIL;
         cl_env_copy->nvalues = 0;
         T6 = v18;
        }
        T7 = ecl_cadr(v15k);
        v17 = ecl_list1(T7);
        (ECL_CONS_CDR(T6)=v17,T6);
        if (Null(ecl_cadddr(v15k))) { goto L55; }
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
         value0 = ECL_NIL;
         cl_env_copy->nvalues = 0;
         T6 = v18;
        }
        T7 = ecl_cadddr(v15k);
        v17 = ecl_list1(T7);
        (ECL_CONS_CDR(T6)=v17,T6);
L55:;
        v15k = ecl_cddddr(v15k);
        goto L46;
L47:;
        T5 = ecl_cdr(v16);
        goto L42;
       }
      }
L42:;
      {
       cl_object v15a;
       v15a = ecl_cdr(v10);
       {
        cl_object v16;
        cl_object v17;
        v16 = ecl_list1(ECL_NIL);
        v17 = v16;
L69:;
        if (!(ECL_ATOM(v15a))) { goto L71; }
        goto L70;
L71:;
        {
         cl_object v18;
         v18 = v17;
         if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
         value0 = ECL_NIL;
         cl_env_copy->nvalues = 0;
         T7 = v18;
        }
        T8 = ecl_car(v15a);
        v17 = ecl_list1(T8);
        (ECL_CONS_CDR(T7)=v17,T7);
        v15a = ecl_cddr(v15a);
        goto L69;
L70:;
        T6 = ecl_cdr(v16);
        goto L65;
       }
      }
L65:;
      v12 = cl_append(6, T1, T2, T3, T4, T5, T6);
      v13 = ECL_NIL;
      {
       cl_object v15;
       v15 = v12;
       if (ecl_unlikely(!ECL_LISTP(v15))) FEtype_error_list(v15);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v14 = v15;
      }
      {
       cl_object v15;
       cl_object v16;
       v15 = ecl_list1(ECL_NIL);
       v16 = v15;
L88:;
       if (!(ecl_endp(v14))) { goto L90; }
       goto L89;
L90:;
       v13 = ECL_CONS_CAR(v14);
       {
        cl_object v17;
        v17 = ECL_CONS_CDR(v14);
        if (ecl_unlikely(!ECL_LISTP(v17))) FEtype_error_list(v17);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v14 = v17;
       }
       {
        cl_object v17;
        v17 = v16;
        if (ecl_unlikely(ECL_ATOM(v17))) FEtype_error_cons(v17);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T1 = v17;
       }
       T2 = ecl_function_dispatch(cl_env_copy,v11)(1, v13);
       v16 = ecl_list1(T2);
       (ECL_CONS_CDR(T1)=v16,T1);
       goto L88;
L89:;
       T0 = ecl_cdr(v15);
       goto L10;
      }
     }
    }
L10:;
    T1 = cl_list(3, ECL_SYM("LET",479), T0, v3body);
    T2 = cl_list(2, VV[19], T1);
    T3 = ecl_list1(T2);
    T4 = cl_list(2, ECL_SYM("QUOTE",681), v4whole);
    T5 = cl_list(2, ECL_SYM("QUOTE",681), v1lambda_list);
    T6 = cl_list(2, ECL_SYM("GENERIC-FUNCTION-LAMBDA-LIST",1592), v2generic_function);
    T7 = cl_list(5, VV[18], T4, T5, T6, VV[19]);
    value0 = cl_list(3, ECL_SYM("LET",479), T3, T7);
    return value0;
   }
  }
 }
}
/*      local function LAMBDA80                                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1909__lambda80(cl_object v1v)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, ECL_SYM("QUOTE",681), v1v);
  value0 = cl_list(2, v1v, T0);
  return value0;
 }
}
/*      local function WITH-METHOD-GROUPS                             */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1912with_method_groups(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[68])(1, v1) /*  DM-TOO-FEW-ARGUMENTS */;
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v5;
   }
   {
    cl_object v5group_names;
    cl_object v6matchers;
    cl_object v7cleanup;
    v5group_names = ECL_NIL;
    v6matchers = ECL_NIL;
    v7cleanup = ECL_NIL;
    {
     cl_object v8;
     v8 = v4;
     goto L15;
L14:;
     {
      cl_object v9group;
      v9group = ecl_car(v8);
      {
       cl_object v10;
       cl_object v11name;
       cl_object v12pattern;
       cl_object v13;
       cl_object v14;
       cl_object v15order;
       cl_object v16;
       cl_object v17required;
       v10 = v9group;
       if (!(v10==ECL_NIL)) { goto L22; }
       ecl_function_dispatch(cl_env_copy,VV[68])(1, v9group) /*  DM-TOO-FEW-ARGUMENTS */;
L22:;
       {
        cl_object v18;
        v18 = ecl_car(v10);
        v10 = ecl_cdr(v10);
        v11name = v18;
       }
       if (!(v10==ECL_NIL)) { goto L28; }
       ecl_function_dispatch(cl_env_copy,VV[68])(1, v9group) /*  DM-TOO-FEW-ARGUMENTS */;
L28:;
       {
        cl_object v18;
        v18 = ecl_car(v10);
        v10 = ecl_cdr(v10);
        v12pattern = v18;
       }
       v13 = ecl_function_dispatch(cl_env_copy,VV[69])(2, v10, ECL_SYM("DESCRIPTION",990)) /*  SEARCH-KEYWORD */;
       v14 = ecl_function_dispatch(cl_env_copy,VV[69])(2, v10, ECL_SYM("ORDER",1007)) /*  SEARCH-KEYWORD */;
       if (!((v14)==(ECL_SYM("MISSING-KEYWORD",2032)))) { goto L36; }
       v15order = VV[27];
       goto L35;
L36:;
       v15order = v14;
L35:;
       v16 = ecl_function_dispatch(cl_env_copy,VV[69])(2, v10, ECL_SYM("REQUIRED",1010)) /*  SEARCH-KEYWORD */;
       if (!((v16)==(ECL_SYM("MISSING-KEYWORD",2032)))) { goto L40; }
       v17required = ECL_NIL;
       goto L39;
L40:;
       v17required = v16;
L39:;
       ecl_function_dispatch(cl_env_copy,VV[70])(2, v10, VV[28]) /*  CHECK-KEYWORD */;
       v5group_names = CONS(v11name,v5group_names);
       T0 = LC1911parse_qualifier_pattern(v12pattern);
       T1 = cl_list(3, ECL_SYM("PUSH",679), VV[29], v11name);
       T2 = cl_list(2, T0, T1);
       v6matchers = CONS(T2,v6matchers);
       if (Null(v17required)) { goto L48; }
       T0 = cl_list(2, ECL_SYM("QUOTE",681), v11name);
       T1 = cl_list(3, ECL_SYM("ERROR",339), VV[30], T0);
       T2 = cl_list(3, ECL_SYM("UNLESS",885), v11name, T1);
       v7cleanup = CONS(T2,v7cleanup);
L48:;
       if (!((v15order)==(VV[27]))) { goto L51; }
       T0 = cl_list(2, ECL_SYM("NREVERSE",591), v11name);
       T1 = cl_list(3, ECL_SYM("SETF",752), v11name, T0);
       v7cleanup = CONS(T1,v7cleanup);
       goto L19;
L51:;
       if ((v15order)==(VV[31])) { goto L19; }
       T0 = cl_list(3, ECL_SYM("EQ",335), v15order, VV[27]);
       T1 = cl_list(2, ECL_SYM("NREVERSE",591), v11name);
       T2 = cl_list(3, ECL_SYM("SETF",752), v11name, T1);
       T3 = cl_list(3, ECL_SYM("WHEN",907), T0, T2);
       v7cleanup = CONS(T3,v7cleanup);
      }
L19:;
     }
     v8 = ecl_cdr(v8);
L15:;
     if (Null(v8)) { goto L58; }
     goto L14;
L58:;
    }
    T0 = cl_nreverse(v6matchers);
    {
     cl_object v8;
     v8 = (ECL_SYM("CAR",182)->symbol.gfdef);
     {
      cl_object v9;
      v9 = v6matchers;
      goto L67;
L66:;
      {
       cl_object v10;
       cl_object v11;
       {
        cl_object v12;
        v12 = v9;
        if (ecl_unlikely(ECL_ATOM(v12))) FEtype_error_cons(v12);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v12;
       }
       v11 = ECL_CONS_CAR(v10);
       T2 = ecl_car(v11);
       if (!(ecl_eql(ECL_T,T2))) { goto L69; }
       if ((v10)!=ECL_NIL) { goto L61; }
       goto L62;
      }
L69:;
      v9 = ECL_CONS_CDR(v9);
L67:;
      if (v9==ECL_NIL) { goto L77; }
      goto L66;
L77:;
     }
    }
L62:;
    T1 = VV[35];
    goto L60;
L61:;
    T1 = ECL_NIL;
L60:;
    T2 = ecl_append(T0,T1);
    T3 = CONS(ECL_SYM("COND",249),T2);
    T4 = cl_list(4, ECL_SYM("LET",479), VV[33], VV[34], T3);
    T5 = cl_list(3, ECL_SYM("DOLIST",315), VV[32], T4);
    T6 = ecl_append(v7cleanup,v3);
    value0 = cl_listX(4, ECL_SYM("LET",479), v5group_names, T5, T6);
    return value0;
   }
  }
 }
}
/*      local function PARSE-QUALIFIER-PATTERN                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1911parse_qualifier_pattern(cl_object v1pattern)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!((v1pattern)==(ECL_SYM("*",20)))) { goto L1; }
  value0 = ECL_T;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (!((v1pattern)==(ECL_NIL))) { goto L3; }
  value0 = VV[20];
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (!(ECL_SYMBOLP(v1pattern))) { goto L5; }
  value0 = cl_list(2, v1pattern, VV[21]);
  return value0;
L5:;
  if (!(ECL_LISTP(v1pattern))) { goto L7; }
  T0 = cl_list(2, ECL_SYM("QUOTE",681), v1pattern);
  T1 = cl_list(3, VV[22], T0, VV[23]);
  T2 = cl_list(2, T1, VV[24]);
  value0 = cl_listX(3, ECL_SYM("DO",309), T2, VV[25]);
  return value0;
L7:;
  value0 = cl_error(2, VV[26], v1pattern);
  return value0;
 }
}
/*      function definition for DEFINE-COMPLEX-METHOD-COMBINATION     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1914define_complex_method_combination(cl_object v1form)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14;
 volatile cl_object lex0[1];
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  lex0[0] = v1form;                               /*  FORM            */
TTL:
  {
   cl_object v2;
   cl_object v3name;
   cl_object v4lambda_list;
   cl_object v5method_groups;
   cl_object v6body;
   cl_object v7generic_function;
   cl_object v8arguments;
   cl_object v9decls;
   cl_object v10documentation;
   v2 = lex0[0];
   if (!(v2==ECL_NIL)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[68])(1, lex0[0]) /*  DM-TOO-FEW-ARGUMENTS */;
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v3name = v11;
   }
   if (!(v2==ECL_NIL)) { goto L9; }
   ecl_function_dispatch(cl_env_copy,VV[68])(1, lex0[0]) /*  DM-TOO-FEW-ARGUMENTS */;
L9:;
   {
    cl_object v11;
    v11 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v4lambda_list = v11;
   }
   if (!(v2==ECL_NIL)) { goto L15; }
   ecl_function_dispatch(cl_env_copy,VV[68])(1, lex0[0]) /*  DM-TOO-FEW-ARGUMENTS */;
L15:;
   {
    cl_object v11;
    v11 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v5method_groups = v11;
   }
   v6body = v2;
   v7generic_function = VV[38];
   v8arguments = ECL_NIL;
   v9decls = ECL_NIL;
   v10documentation = ECL_NIL;
   {
    cl_object v11x;
    v11x = ecl_car(v6body);
    if (!(ECL_CONSP(v11x))) { goto L25; }
    T0 = ecl_car(v11x);
    if (!(ecl_eql(T0,VV[39]))) { goto L25; }
    v6body = ecl_cdr(v6body);
    v8arguments = ecl_cdr(v11x);
   }
L25:;
   {
    cl_object v11x;
    v11x = ecl_car(v6body);
    if (!(ECL_CONSP(v11x))) { goto L32; }
    T0 = ecl_car(v11x);
    if (!(ecl_eql(T0,VV[40]))) { goto L32; }
    v6body = ecl_cdr(v6body);
    v7generic_function = ecl_cadr(v11x);
   }
L32:;
   if (!(ECL_SYMBOLP(v3name))) { goto L42; }
   if (ECL_SYMBOLP(v7generic_function)) { goto L39; }
   goto L40;
L42:;
   goto L40;
L40:;
   cl_error(2, VV[37], lex0[0]);
L39:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[71])(2, v6body, ECL_T) /*  FIND-DECLARATIONS */;
   {
    const int v11 = cl_env_copy->nvalues;
    v9decls = value0;
    cl_object v12;
    v12 = (v11<=1)? ECL_NIL : cl_env_copy->values[1];
    v6body = v12;
    v12 = (v11<=2)? ECL_NIL : cl_env_copy->values[2];
    v10documentation = v12;
   }
   T0 = ecl_function_dispatch(cl_env_copy,VV[72])(3, v3name, ECL_SYM("METHOD-COMBINATION",958), v10documentation) /*  EXPAND-SET-DOCUMENTATION */;
   T1 = cl_list(2, ECL_SYM("QUOTE",681), v3name);
   T2 = cl_listX(3, v7generic_function, VV[41], v4lambda_list);
   T3 = cl_list(2, ECL_SYM("IGNORABLE",429), v7generic_function);
   T4 = cl_list(2, ECL_SYM("DECLARE",276), T3);
   T5 = cl_listX(3, VV[36], v5method_groups, v6body);
   T6 = L1910process_define_method_combination_arguments_lambda_list(v8arguments, v7generic_function, T5);
   T7 = cl_list(3, VV[42], T6, ECL_T);
   T8 = cl_list(3, ECL_SYM("BLOCK",139), v3name, T7);
   T9 = ecl_list1(T8);
   T10 = ecl_append(v9decls,T9);
   T11 = cl_listX(4, ECL_SYM("LAMBDA",454), T2, T4, T10);
   T12 = cl_list(3, VV[4], T1, T11);
   T13 = ecl_list1(T12);
   T14 = ecl_append(T0,T13);
   value0 = CONS(ECL_SYM("PROGN",673),T14);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      local function DEFINE-METHOD-COMBINATION                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1915define_method_combination(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[68])(1, v1) /*  DM-TOO-FEW-ARGUMENTS */;
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4name = v5;
   }
   if (Null(v3)) { goto L8; }
   T0 = ecl_car(v3);
   if (!(ECL_LISTP(T0))) { goto L8; }
   T0 = CONS(v4name,v3);
   value0 = L1914define_complex_method_combination(T0);
   return value0;
L8:;
   T0 = (VV[16]->symbol.gfdef);
   value0 = cl_apply(3, T0, v4name, v3);
   return value0;
  }
 }
}
/*      function definition for METHOD-COMBINATION-ERROR              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_method_combination_error(cl_narg narg, cl_object v1format_control, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2args;
  ecl_va_list args; ecl_va_start(args,v1format_control,narg,1);
  v2args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("FORMAT",389)->symbol.gfdef);
  T1 = cl_apply(4, T0, ECL_NIL, v1format_control, v2args);
  value0 = cl_error(2, VV[44], T1);
  return value0;
 }
}
/*      function definition for INVALID-METHOD-ERROR                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_invalid_method_error(cl_narg narg, cl_object v1method, cl_object v2format_control, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object v3args;
  ecl_va_list args; ecl_va_start(args,v2format_control,narg,2);
  v3args = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = (ECL_SYM("FORMAT",389)->symbol.gfdef);
  T1 = cl_apply(4, T0, ECL_NIL, v2format_control, v3args);
  value0 = cl_error(3, VV[45], v1method, T1);
  return value0;
 }
}
/*      local function LAMBDA226                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1917__lambda226(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[48];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1916__lambda247,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("PROGN",673),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA250                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1919__lambda250(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[50];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1918__lambda271,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("AND",89),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA274                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1921__lambda274(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[51];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1920__lambda295,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("MAX",553),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA298                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1923__lambda298(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[52];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1922__lambda319,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("+",16),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA322                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1925__lambda322(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[53];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1924__lambda343,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("NCONC",583),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA346                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1927__lambda346(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[54];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1926__lambda367,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("APPEND",90),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    T0 = v6main_effective_method;
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA370                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1929__lambda370(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[55];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1928__lambda391,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("LIST",483),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    T0 = v6main_effective_method;
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA394                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1931__lambda394(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[56];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1930__lambda415,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("MIN",559),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA418                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1933__lambda418(cl_narg narg, cl_object v1_generic_function_, cl_object v2_methods_list_, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object v3order;
  va_list args; va_start(args,v2_methods_list_);
  {
   int i = 2;
   if (i >= narg) {
    v3order = VV[27];
   } else {
    i++;
    v3order = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v4principal;
   cl_object v5around;
   v4principal = ECL_NIL;
   v5around = ECL_NIL;
   {
    cl_object v6;
    v6 = v2_methods_list_;
    goto L9;
L8:;
    {
     cl_object v7_method_;
     v7_method_ = ecl_car(v6);
     {
      cl_object v8_method_qualifiers_;
      v8_method_qualifiers_ = (cl_env_copy->function=(ECL_SYM("METHOD-QUALIFIERS",959)->symbol.gfdef))->cfun.entry(1, v7_method_) /*  METHOD-QUALIFIERS */;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[47];
       v10qualifiers = v8_method_qualifiers_;
       goto L21;
L20:;
       if (Null(v9pattern)) { goto L26; }
       if (Null(v10qualifiers)) { goto L26; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L23; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L23; }
       goto L24;
L26:;
       goto L24;
L24:;
       goto L15;
L23:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L21:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L33; }
       if (!(v9pattern==ECL_NIL)) { goto L37; }
       if (v10qualifiers==ECL_NIL) { goto L33; }
       goto L34;
L37:;
       goto L34;
L34:;
       goto L20;
L33:;
      }
      v5around = CONS(v7_method_,v5around);
      goto L13;
L15:;
      {
       cl_object v9pattern;
       cl_object v10qualifiers;
       v9pattern = VV[57];
       v10qualifiers = v8_method_qualifiers_;
       goto L46;
L45:;
       if (Null(v9pattern)) { goto L51; }
       if (Null(v10qualifiers)) { goto L51; }
       T1 = ecl_car(v9pattern);
       if ((T1)==(ECL_SYM("*",20))) { goto L48; }
       T1 = ecl_car(v9pattern);
       T2 = ecl_car(v10qualifiers);
       if ((T1)==(T2)) { goto L48; }
       goto L49;
L51:;
       goto L49;
L49:;
       goto L40;
L48:;
       v9pattern = ecl_cdr(v9pattern);
       v10qualifiers = ecl_cdr(v10qualifiers);
L46:;
       if ((v9pattern)==(ECL_SYM("*",20))) { goto L58; }
       if (!(v9pattern==ECL_NIL)) { goto L62; }
       if (v10qualifiers==ECL_NIL) { goto L58; }
       goto L59;
L62:;
       goto L59;
L59:;
       goto L45;
L58:;
      }
      v4principal = CONS(v7_method_,v4principal);
      goto L13;
L40:;
      cl_invalid_method_error(3, v7_method_, VV[49], v8_method_qualifiers_);
     }
L13:;
    }
    v6 = ecl_cdr(v6);
L9:;
    if (Null(v6)) { goto L67; }
    goto L8;
L67:;
   }
   v4principal = cl_nreverse(v4principal);
   if ((v4principal)!=ECL_NIL) { goto L71; }
   cl_error(2, VV[30], VV[9]);
L71:;
   v5around = cl_nreverse(v5around);
   {
    cl_object v6main_effective_method;
    {
     cl_object v7;
     {
      cl_object v8;
      v8 = ecl_make_cfun((cl_objectfn_fixed)LC1932__lambda439,ECL_NIL,Cblock,1);
      v7 = v8;
     }
     {
      cl_object v8;
      cl_object v9;
      cl_object v10;
      if (!(ecl_eql(v3order,VV[31]))) { goto L80; }
      v8 = cl_reverse(v4principal);
      goto L79;
L80:;
      v8 = v4principal;
L79:;
      v9 = ECL_NIL;
      {
       cl_object v11;
       v11 = v8;
       if (ecl_unlikely(!ECL_LISTP(v11))) FEtype_error_list(v11);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v10 = v11;
      }
      {
       cl_object v11;
       cl_object v12;
       v11 = ecl_list1(ECL_NIL);
       v12 = v11;
L88:;
       if (!(ecl_endp(v10))) { goto L90; }
       goto L89;
L90:;
       v9 = ECL_CONS_CAR(v10);
       {
        cl_object v13;
        v13 = ECL_CONS_CDR(v10);
        if (ecl_unlikely(!ECL_LISTP(v13))) FEtype_error_list(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v10 = v13;
       }
       {
        cl_object v13;
        v13 = v12;
        if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T2 = v13;
       }
       T3 = ecl_function_dispatch(cl_env_copy,v7)(1, v9);
       v12 = ecl_list1(T3);
       (ECL_CONS_CDR(T2)=v12,T2);
       goto L88;
L89:;
       T1 = ecl_cdr(v11);
       goto L77;
      }
     }
    }
L77:;
    v6main_effective_method = CONS(ECL_SYM("OR",616),T1);
    if (Null(v5around)) { goto L106; }
    T1 = ecl_car(v5around);
    T2 = ecl_cdr(v5around);
    T3 = cl_list(2, ECL_SYM("MAKE-METHOD",955), v6main_effective_method);
    T4 = ecl_list1(T3);
    T5 = ecl_append(T2,T4);
    T0 = cl_list(3, ECL_SYM("CALL-METHOD",932), T1, T5);
    goto L2;
L106:;
    if (Null(ecl_cdr(v4principal))) { goto L108; }
    T0 = v6main_effective_method;
    goto L2;
L108:;
    T0 = ecl_cadr(v6main_effective_method);
   }
  }
L2:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[42])(2, T0, ECL_T) /*  EFFECTIVE-METHOD-FUNCTION */;
  return value0;
 }
}
/*      local function LAMBDA247                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1916__lambda247(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA271                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1918__lambda271(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA295                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1920__lambda295(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA319                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1922__lambda319(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA343                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1924__lambda343(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA367                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1926__lambda367(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA391                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1928__lambda391(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA415                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1930__lambda415(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}
/*      local function LAMBDA439                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1932__lambda439(cl_object v1x)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = cl_list(3, ECL_SYM("CALL-METHOD",932), v1x, ECL_NIL);
  return value0;
 }
}

#include "clos/defcombin.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclZzkmRpkmicDq9_YA3pUB71(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CLOS;DEFCOMBIN.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclZzkmRpkmicDq9_YA3pUB71@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
  si_Xmake_special(VV[0]);
  cl_set(VV[0],mp_make_lock(2, ECL_SYM("NAME",1306), ECL_SYM("FIND-METHOD-COMBINATION",1585)));
  si_Xmake_special(VV[1]);
  cl_set(VV[1],cl_make_hash_table(4, ECL_SYM("SIZE",1342), ecl_make_fixnum(32), ECL_SYM("TEST",1350), ECL_SYM("EQ",335)));
  ecl_cmp_defun(VV[58]);                          /*  SEARCH-METHOD-COMBINATION */
  ecl_cmp_defun(VV[59]);                          /*  INSTALL-METHOD-COMBINATION */
  ecl_cmp_defun(VV[60]);                          /*  MAKE-METHOD-COMBINATION */
  ecl_cmp_defun(VV[61]);                          /*  FIND-METHOD-COMBINATION */
  ecl_cmp_defun(VV[62]);                          /*  DEFINE-SIMPLE-METHOD-COMBINATION */
  ecl_cmp_defun(VV[66]);                          /*  METHOD-COMBINATION-ARGUMENTS-RESHUFFLING */
  (void)0; /* No entry created for PROCESS-DEFINE-METHOD-COMBINATION-ARGUMENTS-LAMBDA-LIST */
  ecl_cmp_defmacro(VV[67]);                       /*  WITH-METHOD-GROUPS */
  (void)0; /* No entry created for DEFINE-COMPLEX-METHOD-COMBINATION */
  ecl_cmp_defmacro(VV[73]);                       /*  DEFINE-METHOD-COMBINATION */
  (void)0; /* No entry created for METHOD-COMBINATION-ERROR */
  (void)0; /* No entry created for INVALID-METHOD-ERROR */
  L1898install_method_combination(ECL_SYM("STANDARD",974), VV[46]);
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1917__lambda226,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("PROGN",673), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1919__lambda250,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("AND",89), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1921__lambda274,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("MAX",553), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1923__lambda298,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("+",16), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1925__lambda322,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("NCONC",583), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1927__lambda346,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("APPEND",90), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1929__lambda370,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("LIST",483), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1931__lambda394,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("MIN",559), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC1933__lambda418,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  L1898install_method_combination(ECL_SYM("OR",616), T0);
 }
}
