/*      Compiler: ECL 23.9.9                                          */
/*      Source: /build/ecl/src/ecl-23.9.9/src/cmp/cmpvar.lsp          */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpvar.eclh"
/*      function definition for REPLACEABLE                           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3322replaceable(cl_object volatile v1var, cl_object volatile v2form)
{
 cl_object T0, T1;
 cl_object volatile env0 = ECL_NIL;
 cl_object volatile CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  env0 = ECL_NIL;
  CLV0 = env0 = CONS(v1var,env0);                 /*  VAR             */
  {
   CLV1 = env0 = CONS(ECL_NEW_FRAME_ID(cl_env_copy),env0); /*  REPLACEABLE */
   {
    ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1));
    if (__ecl_frs_push_result!=0) {
    value0 = cl_env_copy->values[0];
    ecl_frs_pop(cl_env_copy);
    return value0;
    } else {
    {
     cl_object volatile v3;
     v3 = ecl_make_cclosure_va((cl_objectfn)LC3321abort_on_side_effects,env0,Cblock,1);
     ecl_function_dispatch(cl_env_copy,VV[51])(2, v2form, v3) /*  TRAVERSE-C1FORM-TREE */;
     T0 = ecl_function_dispatch(cl_env_copy,VV[52])(1, ECL_CONS_CAR(CLV0)) /*  VAR-NAME */;
     T1 = cl_list(2, T0, ecl_symbol_value(VV[2]));
     value0 = ecl_function_dispatch(cl_env_copy,VV[53])(4, ECL_SYM("FORMAT-CONTROL",1269), VV[1], ECL_SYM("FORMAT-ARGUMENTS",1268), T1) /*  BABOON */;
     ecl_frs_pop(cl_env_copy);
     return value0;
    }}
   }
  }
 }
}
/*      closure ABORT-ON-SIDE-EFFECTS                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3321abort_on_side_effects(cl_narg narg, cl_object v1form, ...)
{
 cl_object T0, T1;
 cl_object CLV0, CLV1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object env0 = cl_env_copy->function->cclosure.env;
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 /* Scanning closure data ... */
 CLV1 = env0;                                     /*  REPLACEABLE     */
 CLV0 = _ecl_cdr(CLV1);
 { /* ... closure scanning finished */
 if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v1form) /*  C1FORM-NAME */;
  if (!((T0)==(VV[0]))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[55])(1, v1form) /*  C1FORM-ARGS */;
  T1 = ecl_car(T0);
  if (!((ECL_CONS_CAR(CLV0))==(T1))) { goto L3; }
  cl_env_copy->values[0] = ECL_T;
  cl_env_copy->nvalues = 1;
  cl_return_from(ECL_CONS_CAR(CLV1),VV[3]);
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[56])(1, v1form) /*  C1FORM-SIDE-EFFECTS */)) { goto L6; }
  cl_env_copy->values[0] = ECL_NIL;
  cl_env_copy->nvalues = 1;
  cl_return_from(ECL_CONS_CAR(CLV1),VV[3]);
L6:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
 }
}
/*      function definition for NSUBST-VAR                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3323nsubst_var(cl_object v1var, cl_object v2form)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[58])(1, v1var) /*  VAR-SET-NODES */)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[53])(2, ECL_SYM("FORMAT-CONTROL",1269), VV[4]) /*  BABOON */;
L1:;
  if (Null(ecl_function_dispatch(cl_env_copy,VV[59])(1, v1var) /*  VAR-FUNCTIONS-READING */)) { goto L3; }
  ecl_function_dispatch(cl_env_copy,VV[53])(2, ECL_SYM("FORMAT-CONTROL",1269), VV[5]) /*  BABOON */;
L3:;
  {
   cl_object v3;
   v3 = L3333var_read_forms(v1var);
   goto L9;
L8:;
   {
    cl_object v4where;
    v4where = ecl_car(v3);
    T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v4where) /*  C1FORM-NAME */;
    if (!((T0)==(VV[0]))) { goto L16; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[55])(1, v4where) /*  C1FORM-ARGS */;
    T1 = ecl_car(T0);
    if (ecl_eql(T1,v1var)) { goto L13; }
    goto L14;
L16:;
    goto L14;
L14:;
    ecl_function_dispatch(cl_env_copy,VV[53])(2, ECL_SYM("FORMAT-CONTROL",1269), VV[6]) /*  BABOON */;
L13:;
    L3336delete_from_read_nodes(v1var, v4where);
    ecl_function_dispatch(cl_env_copy,VV[60])(2, v4where, v2form) /*  C1FORM-REPLACE-WITH */;
   }
   v3 = ecl_cdr(v3);
L9:;
   if (Null(v3)) { goto L22; }
   goto L8;
L22:;
  }
  value0 = ecl_structure_set(v1var,VV[0],12,ecl_make_fixnum(0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for MAKE-VAR                              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3324make_var(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v2var;
   T0 = ecl_fdefinition(VV[62]);
   v2var = cl_apply(2, T0, v1args);
   {
    cl_object v3;
    v3 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v2var) /*  VAR-KIND */;
    if (!((v3)==(ECL_SYM("SPECIAL",791)))) { goto L8; }
    goto L3;
    goto L6;
L8:;
    goto L6;
L6:;
    if (!((v3)==(VV[9]))) { goto L11; }
    goto L3;
    goto L4;
L11:;
    goto L4;
   }
L4:;
   if (Null(ecl_symbol_value(VV[11]))) { goto L3; }
   {
    cl_object v3;
    cl_object v4;
    v3 = ecl_symbol_value(VV[11]);
    T0 = ecl_function_dispatch(cl_env_copy,VV[64])(1, v3) /*  FUN-LOCAL-VARS */;
    v4 = CONS(v2var,T0);
    ecl_structure_set(v3,VV[12],21,v4);
   }
L3:;
   value0 = v2var;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MAKE-LCL-VAR                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3325make_lcl_var(cl_narg narg, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1rep_type;
  cl_object v2type;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L3325make_lcl_varkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v1rep_type = keyvars[0];
   if (Null(keyvars[3])) {
    v2type = ECL_T;
   } else {
    v2type = keyvars[1];
   }
  }
  if ((v1rep_type)!=ECL_NIL) { goto L2; }
  if (Null(v2type)) { goto L5; }
  v1rep_type = ecl_function_dispatch(cl_env_copy,VV[68])(1, v2type) /*  LISP-TYPE->REP-TYPE */;
  goto L4;
L5:;
  v1rep_type = ECL_SYM("OBJECT",1312);
L4:;
L2:;
  if ((v2type)!=ECL_NIL) { goto L7; }
  v2type = ECL_T;
L7:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[69])(0) /*  NEXT-LCL      */;
  value0 = L3324make_var(6, VV[14], v1rep_type, ECL_SYM("TYPE",1353), v2type, VV[15], T0);
  return value0;
 }
}
/*      function definition for MAKE-GLOBAL-VAR                       */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3326make_global_var(cl_narg narg, cl_object v1name, ...)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2type;
  cl_object v3kind;
  cl_object v4warn;
  ecl_va_list args; ecl_va_start(args,v1name,narg,1);
  {
   cl_object keyvars[6];
   cl_parse_key(args,3,L3326make_global_varkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[3])) {
    value0 = si_get_sysprop(v1name, VV[17]);
    if ((value0)!=ECL_NIL) { goto L3; }
    v2type = ECL_T;
    goto L1;
L3:;
    v2type = value0;
    goto L1;
L1:;
   } else {
    v2type = keyvars[0];
   }
   if (Null(keyvars[4])) {
    v3kind = VV[9];
   } else {
    v3kind = keyvars[1];
   }
   v4warn = keyvars[2];
  }
  {
   cl_object v5var;
   T0 = ecl_function_dispatch(cl_env_copy,VV[74])(1, v1name) /*  ADD-SYMBOL */;
   v5var = L3324make_var(8, ECL_SYM("NAME",1306), v1name, VV[14], v3kind, ECL_SYM("TYPE",1353), v2type, VV[15], T0);
   if (Null(v4warn)) { goto L7; }
   if ((cl_constantp(1, v1name))!=ECL_NIL) { goto L7; }
   if ((ecl_function_dispatch(cl_env_copy,VV[75])(1, v1name) /*  SPECIAL-VARIABLE-P */)!=ECL_NIL) { goto L7; }
   {
    cl_object v6;
    cl_object v7;
    cl_object v8;
    v6 = ecl_symbol_value(VV[18]);
    v7 = v1name;
    v8 = v6;
    if ((ecl_memql(v7,v8))!=ECL_NIL) { goto L7; }
   }
   ecl_function_dispatch(cl_env_copy,VV[76])(1, v1name) /*  UNDEFINED-VARIABLE */;
   cl_set(VV[18],CONS(v1name,ecl_symbol_value(VV[18])));
L7:;
   value0 = v5var;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for MAKE-TEMP-VAR                         */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3327make_temp_var(cl_narg narg, ...)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1type;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1type = ECL_T;
   } else {
    i++;
    v1type = va_arg(args,cl_object);
   }
  }
  va_end(args);
  T0 = ecl_function_dispatch(cl_env_copy,VV[78])(0) /*  NEXT-TEMP     */;
  T1 = cl_list(2, VV[20], T0);
  value0 = L3324make_var(6, VV[14], ECL_SYM("OBJECT",1312), ECL_SYM("TYPE",1353), v1type, VV[15], T1);
  return value0;
 }
}
/*      function definition for VAR-REFERENCED-IN-FORM-LIST           */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3328var_referenced_in_form_list(cl_object v1var, cl_object v2form_list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3f;
   cl_object v4;
   v3f = ECL_NIL;
   {
    cl_object v5;
    v5 = v2form_list;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v4 = v5;
   }
   {
    cl_object v5;
    v5 = ECL_NIL;
L6:;
    if (!(ecl_endp(v4))) { goto L8; }
    goto L7;
L8:;
    v3f = ECL_CONS_CAR(v4);
    {
     cl_object v6;
     v6 = ECL_CONS_CDR(v4);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v4 = v6;
    }
    v5 = L3330var_referenced_in_form(v1var, v3f);
    if (Null(v5)) { goto L16; }
    value0 = v5;
    cl_env_copy->nvalues = 1;
    return value0;
L16:;
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for VAR-CHANGED-IN-FORM-LIST              */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3329var_changed_in_form_list(cl_object v1var, cl_object v2form_list)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3f;
   cl_object v4;
   v3f = ECL_NIL;
   {
    cl_object v5;
    v5 = v2form_list;
    if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v4 = v5;
   }
   {
    cl_object v5;
    v5 = ECL_NIL;
L6:;
    if (!(ecl_endp(v4))) { goto L8; }
    goto L7;
L8:;
    v3f = ECL_CONS_CAR(v4);
    {
     cl_object v6;
     v6 = ECL_CONS_CDR(v4);
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v4 = v6;
    }
    v5 = L3331var_changed_in_form(v1var, v3f);
    if (Null(v5)) { goto L16; }
    value0 = v5;
    cl_env_copy->nvalues = 1;
    return value0;
L16:;
    goto L6;
L7:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for VAR-REFERENCED-IN-FORM                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3330var_referenced_in_form(cl_object v1var, cl_object v2form)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[82])(1, v1var) /*  VAR-READ-NODES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[83])(2, v2form, T0) /*  FIND-FORM-IN-NODE-LIST */;
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = ecl_function_dispatch(cl_env_copy,VV[59])(1, v1var) /*  VAR-FUNCTIONS-READING */;
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for VAR-CHANGED-IN-FORM                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3331var_changed_in_form(cl_object v1var, cl_object v2form)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1var) /*  VAR-SET-NODES */;
  value0 = ecl_function_dispatch(cl_env_copy,VV[83])(2, v2form, T0) /*  FIND-FORM-IN-NODE-LIST */;
  if ((value0)!=ECL_NIL) { goto L2; }
  {
   cl_object v3kind;
   v3kind = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
   if ((v3kind)==(ECL_SYM("SPECIAL",791))) { goto L7; }
   if (!((v3kind)==(VV[9]))) { goto L5; }
   goto L6;
L7:;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[85])(1, v2form) /*  C1FORM-SP-CHANGE */;
   return value0;
L5:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[86])(1, v1var) /*  VAR-FUNCTIONS-SETTING */;
   return value0;
  }
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UPDATE-VARIABLE-TYPE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3332update_variable_type(cl_object v1var, cl_object v2orig_type)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[58])(1, v1var) /*  VAR-SET-NODES */)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object v3type;
   T0 = ecl_function_dispatch(cl_env_copy,VV[88])(1, v1var) /*  VAR-TYPE */;
   v3type = ecl_function_dispatch(cl_env_copy,VV[89])(2, T0, v2orig_type) /*  TYPE-AND */;
   if (!(v3type==ECL_NIL)) { goto L4; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[52])(1, v1var) /*  VAR-NAME */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[88])(1, v1var) /*  VAR-TYPE */;
   value0 = ecl_function_dispatch(cl_env_copy,VV[90])(4, VV[26], T0, T1, v2orig_type) /*  CMPWARN */;
   return value0;
L4:;
   {
    cl_object v4;
    cl_object v5form;
    cl_object v6;
    v4 = L3333var_read_forms(v1var);
    v5form = ECL_NIL;
    {
     cl_object v7;
     v7 = v4;
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v6 = v7;
    }
L11:;
    if (!(ecl_endp(v6))) { goto L13; }
    goto L12;
L13:;
    v5form = ECL_CONS_CAR(v6);
    {
     cl_object v7;
     v7 = ECL_CONS_CDR(v6);
     if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v6 = v7;
    }
    T0 = ecl_function_dispatch(cl_env_copy,VV[54])(1, v5form) /*  C1FORM-NAME */;
    if (!((T0)==(VV[0]))) { goto L21; }
    T0 = ecl_function_dispatch(cl_env_copy,VV[55])(1, v5form) /*  C1FORM-ARGS */;
    T1 = ecl_car(T0);
    if (!((v1var)==(T1))) { goto L21; }
    {
     cl_object v7;
     T0 = ecl_function_dispatch(cl_env_copy,VV[91])(1, v5form) /*  C1FORM-PRIMARY-TYPE */;
     v7 = ecl_function_dispatch(cl_env_copy,VV[89])(2, v3type, T0) /*  TYPE-AND */;
     ecl_structure_set(v5form,VV[27],1,v7);
    }
L21:;
    goto L11;
L12:;
    ecl_structure_set(v1var,VV[0],11,v3type);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*      function definition for VAR-READ-FORMS                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3333var_read_forms(cl_object v1var)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = (ECL_SYM("FIRST",373)->symbol.gfdef);
   {
    cl_object v3;
    cl_object v4;
    cl_object v5;
    v3 = ecl_function_dispatch(cl_env_copy,VV[82])(1, v1var) /*  VAR-READ-NODES */;
    v4 = ECL_NIL;
    {
     cl_object v6;
     v6 = v3;
     if (ecl_unlikely(!ECL_LISTP(v6))) FEtype_error_list(v6);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v5 = v6;
    }
    {
     cl_object v6;
     cl_object v7;
     v6 = ecl_list1(ECL_NIL);
     v7 = v6;
L9:;
     if (!(ecl_endp(v5))) { goto L11; }
     goto L10;
L11:;
     v4 = ECL_CONS_CAR(v5);
     {
      cl_object v8;
      v8 = ECL_CONS_CDR(v5);
      if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v5 = v8;
     }
     {
      cl_object v8;
      v8 = v7;
      if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      T0 = v8;
     }
     T1 = ecl_function_dispatch(cl_env_copy,v2)(1, v4);
     v7 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v7,T0);
     goto L9;
L10:;
     value0 = ecl_cdr(v6);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      function definition for ASSERT-VAR-REF-VALUE                  */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3334assert_var_ref_value(cl_object v1var)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_symbol_value(VV[30]))) { goto L1; }
  {
   cl_object v2ref;
   v2ref = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
   T0 = ecl_divide(ecl_make_fixnum(2305843009213693951),ecl_make_fixnum(2));
   if (ecl_greater(v2ref,T0)) { goto L3; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
   T1 = ecl_function_dispatch(cl_env_copy,VV[82])(1, v1var) /*  VAR-READ-NODES */;
   {
    cl_fixnum v3;
    v3 = ecl_length(T1);
    T2 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1var) /*  VAR-SET-NODES */;
    {
     cl_fixnum v4;
     v4 = ecl_length(T2);
     T3 = ecl_plus(ecl_make_fixnum(v3),ecl_make_fixnum(v4));
     if (ecl_number_equalp(T0,T3)) { goto L3; }
    }
   }
  }
  T0 = ecl_list1(v1var);
  value0 = ecl_function_dispatch(cl_env_copy,VV[53])(4, ECL_SYM("FORMAT-CONTROL",1269), VV[31], ECL_SYM("FORMAT-ARGUMENTS",1268), T0) /*  BABOON */;
  return value0;
L3:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ASSERT-VAR-NOT-IGNORED                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3335assert_var_not_ignored(cl_object v1var)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2x;
   v2x = ecl_function_dispatch(cl_env_copy,VV[96])(1, v1var) /*  VAR-IGNORABLE */;
   if (Null(v2x)) { goto L1; }
   if (!(ecl_minusp(v2x))) { goto L1; }
  }
  T0 = ecl_function_dispatch(cl_env_copy,VV[52])(1, v1var) /*  VAR-NAME */;
  ecl_function_dispatch(cl_env_copy,VV[97])(2, VV[33], T0) /*  CMPWARN-STYLE */;
  value0 = ecl_structure_set(v1var,VV[0],12,ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for DELETE-FROM-READ-NODES                */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3336delete_from_read_nodes(cl_object v1var, cl_object v2form)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3334assert_var_ref_value(v1var);
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
   v3 = ecl_one_minus(T0);
   ecl_structure_set(v1var,VV[0],1,v3);
  }
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[82])(1, v1var) /*  VAR-READ-NODES */;
   v3 = ecl_function_dispatch(cl_env_copy,VV[99])(2, v2form, T0) /*  DELETE-FORM-FROM-NODE-LIST */;
   value0 = ecl_structure_set(v1var,VV[0],4,v3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for ADD-TO-READ-NODES                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3337add_to_read_nodes(cl_object v1var, cl_object v2form)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3334assert_var_ref_value(v1var);
  L3335assert_var_not_ignored(v1var);
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
   v3 = ecl_one_plus(T0);
   ecl_structure_set(v1var,VV[0],1,v3);
  }
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[82])(1, v1var) /*  VAR-READ-NODES */;
   v3 = ecl_function_dispatch(cl_env_copy,VV[101])(2, v2form, T0) /*  ADD-FORM-TO-NODE-LIST */;
   ecl_structure_set(v1var,VV[0],4,v3);
  }
  if (Null(ecl_symbol_value(VV[11]))) { goto L7; }
  T0 = ecl_symbol_value(VV[11]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[102])(1, v1var) /*  VAR-FUNCTION */;
  if ((T0)==(T1)) { goto L7; }
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_symbol_value(VV[11]);
   T0 = ecl_function_dispatch(cl_env_copy,VV[59])(1, v1var) /*  VAR-FUNCTIONS-READING */;
   v4 = cl_adjoin(2, v3, T0);
   ecl_structure_set(v1var,VV[0],9,v4);
  }
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_symbol_value(VV[11]);
   T0 = ecl_function_dispatch(cl_env_copy,VV[103])(1, v3) /*  FUN-REFERENCED-VARS */;
   v4 = cl_adjoin(2, v1var, T0);
   ecl_structure_set(v3,VV[12],22,v4);
  }
L7:;
  value0 = v2form;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-TO-SET-NODES                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3338add_to_set_nodes(cl_object v1var, cl_object v2form)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  L3334assert_var_ref_value(v1var);
  L3335assert_var_not_ignored(v1var);
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
   v3 = ecl_one_plus(T0);
   ecl_structure_set(v1var,VV[0],1,v3);
  }
  {
   cl_object v3;
   T0 = ecl_function_dispatch(cl_env_copy,VV[58])(1, v1var) /*  VAR-SET-NODES */;
   v3 = ecl_function_dispatch(cl_env_copy,VV[101])(2, v2form, T0) /*  ADD-FORM-TO-NODE-LIST */;
   ecl_structure_set(v1var,VV[0],5,v3);
  }
  if (Null(ecl_symbol_value(VV[11]))) { goto L7; }
  T0 = ecl_symbol_value(VV[11]);
  T1 = ecl_function_dispatch(cl_env_copy,VV[102])(1, v1var) /*  VAR-FUNCTION */;
  if ((T0)==(T1)) { goto L7; }
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_symbol_value(VV[11]);
   T0 = ecl_function_dispatch(cl_env_copy,VV[86])(1, v1var) /*  VAR-FUNCTIONS-SETTING */;
   v4 = cl_adjoin(2, v3, T0);
   ecl_structure_set(v1var,VV[0],8,v4);
  }
  {
   cl_object v3;
   cl_object v4;
   v3 = ecl_symbol_value(VV[11]);
   T0 = ecl_function_dispatch(cl_env_copy,VV[103])(1, v3) /*  FUN-REFERENCED-VARS */;
   v4 = cl_adjoin(2, v1var, T0);
   ecl_structure_set(v3,VV[12],22,v4);
  }
L7:;
  value0 = v2form;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for ADD-TO-SET-NODES-OF-VAR-LIST          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3339add_to_set_nodes_of_var_list(cl_object v1var_list, cl_object v2form)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   v3 = v1var_list;
   goto L5;
L4:;
   {
    cl_object v4v;
    v4v = ecl_car(v3);
    L3338add_to_set_nodes(v4v, v2form);
   }
   v3 = ecl_cdr(v3);
L5:;
   if (Null(v3)) { goto L12; }
   goto L4;
L12:;
  }
  value0 = v2form;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for VAR-REP-TYPE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3340var_rep_type(cl_object v1var)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
   if (!((v2)==(VV[40]))) { goto L7; }
   goto L4;
   goto L5;
L7:;
   goto L5;
L5:;
   if (!((v2)==(VV[41]))) { goto L11; }
   goto L4;
   goto L9;
L11:;
   goto L9;
L9:;
   if (!((v2)==(ECL_SYM("SPECIAL",791)))) { goto L15; }
   goto L4;
   goto L13;
L15:;
   goto L13;
L13:;
   if (!((v2)==(VV[9]))) { goto L2; }
   goto L3;
L4:;
L3:;
   value0 = ECL_SYM("OBJECT",1312);
   cl_env_copy->nvalues = 1;
   return value0;
L2:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
   return value0;
  }
 }
}
/*      function definition for CHECK-VREF                            */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3341check_vref(cl_object v1var)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
  if (!((T0)==(VV[40]))) { goto L1; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
  if (!(ecl_zerop(T0))) { goto L3; }
  if ((ecl_function_dispatch(cl_env_copy,VV[96])(1, v1var) /*  VAR-IGNORABLE */)!=ECL_NIL) { goto L3; }
  T0 = ecl_function_dispatch(cl_env_copy,VV[52])(1, v1var) /*  VAR-NAME */;
  ecl_function_dispatch(cl_env_copy,VV[97])(2, VV[44], T0) /*  CMPWARN-STYLE */;
L3:;
  if ((ecl_function_dispatch(cl_env_copy,VV[108])(1, v1var) /*  VAR-REF-CLB */)!=ECL_NIL) { goto L6; }
  {
   cl_object v2;
   T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
   if (!(ecl_plusp(T0))) { goto L9; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[88])(1, v1var) /*  VAR-TYPE */;
   v2 = ecl_function_dispatch(cl_env_copy,VV[68])(1, T0) /*  LISP-TYPE->REP-TYPE */;
   goto L8;
L9:;
   v2 = ECL_SYM("OBJECT",1312);
L8:;
   value0 = ecl_structure_set(v1var,VV[0],6,v2);
   cl_env_copy->nvalues = 1;
   return value0;
  }
L6:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for UNBOXED                               */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3342unboxed(cl_object v1var)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = L3340var_rep_type(v1var);
  {
   bool v2;
   v2 = (T0)==(ECL_SYM("OBJECT",1312));
   value0 = (v2)?ECL_NIL:ECL_T;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for LOCAL                                 */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3343local(cl_object v1var)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
   if (!((v2)==(VV[40]))) { goto L7; }
   goto L2;
   goto L5;
L7:;
   goto L5;
L5:;
   if (!((v2)==(VV[41]))) { goto L11; }
   goto L2;
   goto L9;
L11:;
   goto L9;
L9:;
   if (!((v2)==(ECL_SYM("SPECIAL",791)))) { goto L15; }
   goto L2;
   goto L13;
L15:;
   goto L13;
L13:;
   if (!((v2)==(VV[9]))) { goto L18; }
   goto L2;
   goto L3;
L18:;
   goto L3;
  }
L3:;
  value0 = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*      function definition for GLOBAL-VAR-P                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3344global_var_p(cl_object v1var)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2kind;
   v2kind = ecl_function_dispatch(cl_env_copy,VV[63])(1, v1var) /*  VAR-KIND */;
   value0 = ecl_make_bool((v2kind)==(VV[9]));
   if ((value0)!=ECL_NIL) { goto L3; }
   value0 = ecl_make_bool((v2kind)==(ECL_SYM("SPECIAL",791)));
   cl_env_copy->nvalues = 1;
   return value0;
L3:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for USEFUL-VAR-P                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3345useful_var_p(cl_object v1var)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[94])(1, v1var) /*  VAR-REF */;
  value0 = ecl_make_bool(ecl_plusp(T0));
  if ((value0)!=ECL_NIL) { goto L2; }
  value0 = L3344global_var_p(v1var);
  return value0;
L2:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "cmp/cmpvar.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclpFN7nDATYm3p9_PkGpUB71(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPVAR.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclpFN7nDATYm3p9_PkGpUB71@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  ecl_cmp_defun(VV[50]);                          /*  REPLACEABLE     */
  ecl_cmp_defun(VV[57]);                          /*  NSUBST-VAR      */
  ecl_cmp_defun(VV[61]);                          /*  MAKE-VAR        */
  ecl_cmp_defun(VV[65]);                          /*  MAKE-LCL-VAR    */
  ecl_cmp_defun(VV[70]);                          /*  MAKE-GLOBAL-VAR */
  ecl_cmp_defun(VV[77]);                          /*  MAKE-TEMP-VAR   */
  ecl_cmp_defun(VV[79]);                          /*  VAR-REFERENCED-IN-FORM-LIST */
  ecl_cmp_defun(VV[80]);                          /*  VAR-CHANGED-IN-FORM-LIST */
  ecl_cmp_defun(VV[81]);                          /*  VAR-REFERENCED-IN-FORM */
  ecl_cmp_defun(VV[84]);                          /*  VAR-CHANGED-IN-FORM */
  ecl_cmp_defun(VV[87]);                          /*  UPDATE-VARIABLE-TYPE */
  ecl_cmp_defun(VV[92]);                          /*  VAR-READ-FORMS  */
  ecl_cmp_defun(VV[93]);                          /*  ASSERT-VAR-REF-VALUE */
  ecl_cmp_defun(VV[95]);                          /*  ASSERT-VAR-NOT-IGNORED */
  ecl_cmp_defun(VV[98]);                          /*  DELETE-FROM-READ-NODES */
  ecl_cmp_defun(VV[100]);                         /*  ADD-TO-READ-NODES */
  ecl_cmp_defun(VV[104]);                         /*  ADD-TO-SET-NODES */
  ecl_cmp_defun(VV[105]);                         /*  ADD-TO-SET-NODES-OF-VAR-LIST */
  ecl_cmp_defun(VV[106]);                         /*  VAR-REP-TYPE    */
  ecl_cmp_defun(VV[107]);                         /*  CHECK-VREF      */
  ecl_cmp_defun(VV[109]);                         /*  UNBOXED         */
  ecl_cmp_defun(VV[110]);                         /*  LOCAL           */
  ecl_cmp_defun(VV[111]);                         /*  GLOBAL-VAR-P    */
  ecl_cmp_defun(VV[112]);                         /*  USEFUL-VAR-P    */
}
