/*      Compiler: ECL 23.9.9                                          */
/*      Source: /build/ecl/src/ecl-23.9.9/src/lsp/defpackage.lsp      */
#include <ecl/ecl-cmp.h>
#include "lsp/defpackage.eclh"
/*      local function DEFPACKAGE                                     */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC664defpackage(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4name;
   v3 = ecl_cdr(v1);
   {
    cl_object v5;
    if (!(v3==ECL_NIL)) { goto L4; }
    ecl_function_dispatch(cl_env_copy,VV[17])(1, v1) /*  DM-TOO-FEW-ARGUMENTS */;
L4:;
    {
     cl_object v6;
     v6 = ecl_car(v3);
     v3 = ecl_cdr(v3);
     v5 = v6;
    }
    value0 = ecl_make_bool(ECL_SYMBOLP(v5));
    if ((value0)!=ECL_NIL) { goto L12; }
    value0 = ecl_make_bool(ECL_STRINGP(v5));
    if ((value0)!=ECL_NIL) { goto L12; }
    T0 = ecl_make_bool(ECL_CHARACTERP(v5));
    goto L10;
L12:;
    T0 = value0;
    goto L10;
L10:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[0],v5);
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 0;
    v4name = v5;
   }
   {
    cl_object v5nicknames;
    cl_object v6documentation;
    cl_object v7size;
    cl_object v8shadowed_symbol_names;
    cl_object v9interned_symbol_names;
    cl_object v10exported_symbol_names;
    cl_object v11shadowing_imported_from_symbol_names_list;
    cl_object v12imported_from_symbol_names_list;
    cl_object v13exported_from_package_names;
    cl_object v14use;
    cl_object v15use_p;
    cl_object v16lock;
    cl_object v17local_nicknames;
    v5nicknames = ECL_NIL;
    v6documentation = ECL_NIL;
    v7size = ECL_NIL;
    v8shadowed_symbol_names = ECL_NIL;
    v9interned_symbol_names = ECL_NIL;
    v10exported_symbol_names = ECL_NIL;
    v11shadowing_imported_from_symbol_names_list = ECL_NIL;
    v12imported_from_symbol_names_list = ECL_NIL;
    v13exported_from_package_names = ECL_NIL;
    v14use = ECL_NIL;
    v15use_p = ECL_NIL;
    v16lock = ECL_NIL;
    v17local_nicknames = ECL_NIL;
    {
     cl_object v18;
     v18 = v3;
     goto L32;
L31:;
     {
      cl_object v19option;
      v19option = ecl_car(v18);
      {
       cl_object v20;
       v20 = ecl_car(v19option);
       if (!((v20)==(ECL_SYM("NICKNAMES",1310)))) { goto L38; }
       T1 = ecl_cdr(v19option);
       T0 = LC662designators(T1);
       v5nicknames = ecl_append(v5nicknames,T0);
       goto L36;
L38:;
       if (!((v20)==(ECL_SYM("DOCUMENTATION",1250)))) { goto L42; }
       if (Null(v6documentation)) { goto L44; }
       si_simple_program_error(1, VV[1]);
L44:;
       v6documentation = ecl_cadr(v19option);
       goto L36;
L42:;
       if (!((v20)==(ECL_SYM("USE",1358)))) { goto L47; }
       T1 = ecl_cdr(v19option);
       T0 = LC662designators(T1);
       v14use = ecl_append(v14use,T0);
       v15use_p = ECL_T;
       goto L36;
L47:;
       if (!((v20)==(ECL_SYM("SHADOW",1340)))) { goto L53; }
       T1 = ecl_cdr(v19option);
       T0 = LC662designators(T1);
       v8shadowed_symbol_names = ecl_append(v8shadowed_symbol_names,T0);
       goto L36;
L53:;
       if (!((v20)==(ECL_SYM("INTERN",1289)))) { goto L57; }
       T1 = ecl_cdr(v19option);
       T0 = LC662designators(T1);
       v9interned_symbol_names = ecl_append(v9interned_symbol_names,T0);
       goto L36;
L57:;
       if (!((v20)==(ECL_SYM("EXPORT",1261)))) { goto L61; }
       T1 = ecl_cdr(v19option);
       T0 = LC662designators(T1);
       v10exported_symbol_names = ecl_append(v10exported_symbol_names,T0);
       goto L36;
L61:;
       if (!((v20)==(VV[2]))) { goto L65; }
       {
        cl_object v21;
        cl_object v22;
        cl_object v23package_name;
        T0 = ecl_cdr(v19option);
        v21 = LC662designators(T0);
        v22 = v21;
        if (!(v22==ECL_NIL)) { goto L70; }
        ecl_function_dispatch(cl_env_copy,VV[17])(1, v21) /*  DM-TOO-FEW-ARGUMENTS */;
L70:;
        {
         cl_object v24;
         v24 = ecl_car(v22);
         v22 = ecl_cdr(v22);
         v23package_name = v24;
        }
        {
         cl_object v24assoc;
         {
          cl_object v25;
          v25 = (ECL_SYM("STRING=",824)->symbol.gfdef);
          {
          cl_object v26;
          v26 = v11shadowing_imported_from_symbol_names_list;
          goto L80;
L79:;
          {
          cl_object v27;
          cl_object v28;
          {
          cl_object v29;
          v29 = v26;
          if (ecl_unlikely(ECL_ATOM(v29))) FEtype_error_cons(v29);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          v27 = v29;
          }
          v28 = ECL_CONS_CAR(v27);
          if (Null(v28)) { goto L82; }
          {
          cl_object v29;
          {
          cl_object v30;
          v30 = v28;
          if (ecl_unlikely(ECL_ATOM(v30))) FEtype_error_cons(v30);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          T0 = v30;
          }
          v29 = ECL_CONS_CAR(T0);
          if (Null(cl_stringE(2, v23package_name, v29))) { goto L82; }
          v24assoc = v28;
          goto L75;
          }
          }
L82:;
          v26 = ECL_CONS_CDR(v26);
L80:;
          if (v26==ECL_NIL) { goto L95; }
          goto L79;
L95:;
          v24assoc = ECL_NIL;
          }
         }
L75:;
         if (Null(v24assoc)) { goto L97; }
         {
          cl_object v25;
          T0 = ecl_cdr(v24assoc);
          v25 = ecl_append(T0,v22);
          {
          cl_object v26;
          v26 = v24assoc;
          if (ecl_unlikely(ECL_ATOM(v26))) FEtype_error_cons(v26);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          T0 = v26;
          }
          (ECL_CONS_CDR(T0)=v25,T0);
          goto L36;
         }
L97:;
         v11shadowing_imported_from_symbol_names_list = cl_acons(v23package_name, v22, v11shadowing_imported_from_symbol_names_list);
         goto L36;
        }
       }
L65:;
       if (!((v20)==(ECL_SYM("IMPORT-FROM",1280)))) { goto L105; }
       {
        cl_object v26;
        cl_object v27;
        cl_object v28package_name;
        T0 = ecl_cdr(v19option);
        v26 = LC662designators(T0);
        v27 = v26;
        if (!(v27==ECL_NIL)) { goto L110; }
        ecl_function_dispatch(cl_env_copy,VV[17])(1, v26) /*  DM-TOO-FEW-ARGUMENTS */;
L110:;
        {
         cl_object v29;
         v29 = ecl_car(v27);
         v27 = ecl_cdr(v27);
         v28package_name = v29;
        }
        {
         cl_object v29assoc;
         {
          cl_object v30;
          v30 = (ECL_SYM("STRING=",824)->symbol.gfdef);
          {
          cl_object v31;
          v31 = v12imported_from_symbol_names_list;
          goto L120;
L119:;
          {
          cl_object v32;
          cl_object v33;
          {
          cl_object v34;
          v34 = v31;
          if (ecl_unlikely(ECL_ATOM(v34))) FEtype_error_cons(v34);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          v32 = v34;
          }
          v33 = ECL_CONS_CAR(v32);
          if (Null(v33)) { goto L122; }
          {
          cl_object v34;
          {
          cl_object v35;
          v35 = v33;
          if (ecl_unlikely(ECL_ATOM(v35))) FEtype_error_cons(v35);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          T0 = v35;
          }
          v34 = ECL_CONS_CAR(T0);
          if (Null(cl_stringE(2, v28package_name, v34))) { goto L122; }
          v29assoc = v33;
          goto L115;
          }
          }
L122:;
          v31 = ECL_CONS_CDR(v31);
L120:;
          if (v31==ECL_NIL) { goto L135; }
          goto L119;
L135:;
          v29assoc = ECL_NIL;
          }
         }
L115:;
         if (Null(v29assoc)) { goto L137; }
         {
          cl_object v30;
          T0 = ecl_cdr(v29assoc);
          v30 = ecl_append(T0,v27);
          {
          cl_object v31;
          v31 = v29assoc;
          if (ecl_unlikely(ECL_ATOM(v31))) FEtype_error_cons(v31);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          T0 = v31;
          }
          (ECL_CONS_CDR(T0)=v30,T0);
          goto L36;
         }
L137:;
         v12imported_from_symbol_names_list = cl_acons(v28package_name, v27, v12imported_from_symbol_names_list);
         goto L36;
        }
       }
L105:;
       if (!((v20)==(ECL_SYM("SIZE",1342)))) { goto L145; }
       if (Null(v7size)) { goto L147; }
       si_simple_program_error(1, VV[3]);
L147:;
       v7size = ecl_cadr(v19option);
       goto L36;
L145:;
       if (!((v20)==(ECL_SYM("EXPORT-FROM",1262)))) { goto L150; }
       T1 = ecl_cdr(v19option);
       T0 = LC662designators(T1);
       v13exported_from_package_names = ecl_append(v13exported_from_package_names,T0);
       goto L36;
L150:;
       if (!((v20)==(VV[4]))) { goto L154; }
       if (Null(v16lock)) { goto L36; }
       si_simple_program_error(1, VV[5]);
       v16lock = ecl_cadr(v19option);
       goto L36;
L154:;
       if (!((v20)==(ECL_SYM("LOCAL-NICKNAMES",1301)))) { goto L159; }
       {
        cl_object v31;
        {
         cl_object v32;
         v32 = ecl_make_cfun((cl_objectfn_fixed)LC663__lambda275,ECL_NIL,Cblock,1);
         v31 = v32;
        }
        {
         cl_object v32;
         cl_object v33;
         cl_object v34;
         v32 = ecl_cdr(v19option);
         v33 = ECL_NIL;
         {
          cl_object v35;
          v35 = v32;
          if (ecl_unlikely(!ECL_LISTP(v35))) FEtype_error_list(v35);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          v34 = v35;
         }
         {
          cl_object v35;
          cl_object v36;
          v35 = ecl_list1(ECL_NIL);
          v36 = v35;
L171:;
          if (!(ecl_endp(v34))) { goto L173; }
          goto L172;
L173:;
          v33 = ECL_CONS_CAR(v34);
          {
          cl_object v37;
          v37 = ECL_CONS_CDR(v34);
          if (ecl_unlikely(!ECL_LISTP(v37))) FEtype_error_list(v37);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          v34 = v37;
          }
          {
          cl_object v37;
          v37 = v36;
          if (ecl_unlikely(ECL_ATOM(v37))) FEtype_error_cons(v37);
          value0 = ECL_NIL;
          cl_env_copy->nvalues = 0;
          T1 = v37;
          }
          T2 = ecl_function_dispatch(cl_env_copy,v31)(1, v33);
          v36 = ecl_list1(T2);
          (ECL_CONS_CDR(T1)=v36,T1);
          goto L171;
L172:;
          T0 = ecl_cdr(v35);
          goto L162;
         }
        }
       }
L162:;
       v17local_nicknames = ecl_append(v17local_nicknames,T0);
       goto L36;
L159:;
       cl_cerror(3, VV[6], VV[7], v19option);
      }
L36:;
     }
     v18 = ecl_cdr(v18);
L32:;
     if (Null(v18)) { goto L191; }
     goto L31;
L191:;
    }
    T0 = CONS(ECL_SYM("INTERN",1289),v9interned_symbol_names);
    T1 = CONS(ECL_SYM("EXPORT",1261),v10exported_symbol_names);
    L665check_disjoint(2, T0, T1);
    T0 = CONS(ECL_SYM("INTERN",1289),v9interned_symbol_names);
    T1 = (ECL_SYM("APPEND",90)->symbol.gfdef);
    {
     cl_object v18;
     v18 = (ECL_SYM("REST",721)->symbol.gfdef);
     {
      cl_object v19;
      cl_object v20;
      v19 = ECL_NIL;
      {
       cl_object v21;
       v21 = v12imported_from_symbol_names_list;
       if (ecl_unlikely(!ECL_LISTP(v21))) FEtype_error_list(v21);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v20 = v21;
      }
      {
       cl_object v21;
       cl_object v22;
       v21 = ecl_list1(ECL_NIL);
       v22 = v21;
L204:;
       if (!(ecl_endp(v20))) { goto L206; }
       goto L205;
L206:;
       v19 = ECL_CONS_CAR(v20);
       {
        cl_object v23;
        v23 = ECL_CONS_CDR(v20);
        if (ecl_unlikely(!ECL_LISTP(v23))) FEtype_error_list(v23);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v20 = v23;
       }
       {
        cl_object v23;
        v23 = v22;
        if (ecl_unlikely(ECL_ATOM(v23))) FEtype_error_cons(v23);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T3 = v23;
       }
       T4 = ecl_function_dispatch(cl_env_copy,v18)(1, v19);
       v22 = ecl_list1(T4);
       (ECL_CONS_CDR(T3)=v22,T3);
       goto L204;
L205:;
       T2 = ecl_cdr(v21);
       goto L196;
      }
     }
    }
L196:;
    T3 = cl_apply(2, T1, T2);
    T4 = CONS(ECL_SYM("IMPORT-FROM",1280),T3);
    T5 = CONS(ECL_SYM("SHADOW",1340),v8shadowed_symbol_names);
    T6 = (ECL_SYM("APPEND",90)->symbol.gfdef);
    {
     cl_object v18;
     v18 = (ECL_SYM("REST",721)->symbol.gfdef);
     {
      cl_object v19;
      cl_object v20;
      v19 = ECL_NIL;
      {
       cl_object v21;
       v21 = v11shadowing_imported_from_symbol_names_list;
       if (ecl_unlikely(!ECL_LISTP(v21))) FEtype_error_list(v21);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v20 = v21;
      }
      {
       cl_object v21;
       cl_object v22;
       v21 = ecl_list1(ECL_NIL);
       v22 = v21;
L231:;
       if (!(ecl_endp(v20))) { goto L233; }
       goto L232;
L233:;
       v19 = ECL_CONS_CAR(v20);
       {
        cl_object v23;
        v23 = ECL_CONS_CDR(v20);
        if (ecl_unlikely(!ECL_LISTP(v23))) FEtype_error_list(v23);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        v20 = v23;
       }
       {
        cl_object v23;
        v23 = v22;
        if (ecl_unlikely(ECL_ATOM(v23))) FEtype_error_cons(v23);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;
        T8 = v23;
       }
       T9 = ecl_function_dispatch(cl_env_copy,v18)(1, v19);
       v22 = ecl_list1(T9);
       (ECL_CONS_CDR(T8)=v22,T8);
       goto L231;
L232:;
       T7 = ecl_cdr(v21);
       goto L223;
      }
     }
    }
L223:;
    T8 = cl_apply(2, T6, T7);
    T9 = CONS(VV[2],T8);
    L665check_disjoint(4, T0, T4, T5, T9);
    T0 = cl_string(v4name);
    T1 = cl_list(2, ECL_SYM("QUOTE",681), v5nicknames);
    {
     cl_object v18;
     cl_object v19;
     v18 = VV[4];
     v19 = v3;
     T2 = ecl_assql(v18,v19);
    }
    T3 = ecl_cadr(T2);
    if (Null(v15use_p)) { goto L253; }
    T4 = v14use;
    goto L252;
L253:;
    T4 = VV[10];
L252:;
    T5 = cl_list(2, ECL_SYM("QUOTE",681), T4);
    T6 = cl_list(2, ECL_SYM("QUOTE",681), v17local_nicknames);
    T7 = cl_list(2, ECL_SYM("QUOTE",681), v8shadowed_symbol_names);
    T8 = cl_list(2, ECL_SYM("QUOTE",681), v9interned_symbol_names);
    T9 = cl_list(2, ECL_SYM("QUOTE",681), v10exported_symbol_names);
    T10 = cl_list(2, ECL_SYM("QUOTE",681), v11shadowing_imported_from_symbol_names_list);
    T11 = cl_list(2, ECL_SYM("QUOTE",681), v12imported_from_symbol_names_list);
    T12 = cl_list(2, ECL_SYM("QUOTE",681), v13exported_from_package_names);
    T13 = cl_list(13, VV[9], T0, T1, v6documentation, T3, T5, T6, T7, T8, T9, T10, T11, T12);
    value0 = cl_list(3, ECL_SYM("EVAL-WHEN",342), VV[8], T13);
    return value0;
   }
  }
 }
}
/*      local function DESIGNATORS                                    */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC662designators(cl_object v1values)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   v2 = (ECL_SYM("STRING",807)->symbol.gfdef);
   {
    cl_object v3;
    cl_object v4;
    v3 = ECL_NIL;
    {
     cl_object v5;
     v5 = v1values;
     if (ecl_unlikely(!ECL_LISTP(v5))) FEtype_error_list(v5);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v4 = v5;
    }
    {
     cl_object v5;
     cl_object v6;
     v5 = ecl_list1(ECL_NIL);
     v6 = v5;
L8:;
     if (!(ecl_endp(v4))) { goto L10; }
     goto L9;
L10:;
     v3 = ECL_CONS_CAR(v4);
     {
      cl_object v7;
      v7 = ECL_CONS_CDR(v4);
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v4 = v7;
     }
     {
      cl_object v7;
      v7 = v6;
      if (ecl_unlikely(ECL_ATOM(v7))) FEtype_error_cons(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      T0 = v7;
     }
     T1 = ecl_function_dispatch(cl_env_copy,v2)(1, v3);
     v6 = ecl_list1(T1);
     (ECL_CONS_CDR(T0)=v6,T0);
     goto L8;
L9:;
     value0 = ecl_cdr(v5);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*      local function LAMBDA275                                      */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC663__lambda275(cl_object v1spec)
{
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2;
   cl_object v3nick;
   cl_object v4name;
   v2 = v1spec;
   if (!(v2==ECL_NIL)) { goto L3; }
   ecl_function_dispatch(cl_env_copy,VV[17])(1, v1spec) /*  DM-TOO-FEW-ARGUMENTS */;
L3:;
   {
    cl_object v5;
    v5 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v3nick = v5;
   }
   if (!(v2==ECL_NIL)) { goto L9; }
   ecl_function_dispatch(cl_env_copy,VV[17])(1, v1spec) /*  DM-TOO-FEW-ARGUMENTS */;
L9:;
   {
    cl_object v5;
    v5 = ecl_car(v2);
    v2 = ecl_cdr(v2);
    v4name = v5;
   }
   if (Null(v2)) { goto L14; }
   ecl_function_dispatch(cl_env_copy,VV[18])(1, v1spec) /*  DM-TOO-MANY-ARGUMENTS */;
L14:;
   value0 = CONS(v3nick,v4name);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for CHECK-DISJOINT                        */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L665check_disjoint(cl_narg narg, ...)
{
 cl_object T0, T1, T2, T3;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_object v1args;
  ecl_va_list args; ecl_va_start(args,narg,narg,0);
  v1args = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object v2list;
   v2list = v1args;
   goto L4;
L3:;
   {
    cl_object v3x;
    v3x = ecl_car(v2list);
    {
     cl_object v4;
     cl_object v5y;
     cl_object v6;
     v4 = ecl_cdr(v2list);
     v5y = ECL_NIL;
     {
      cl_object v7;
      v7 = v4;
      if (ecl_unlikely(!ECL_LISTP(v7))) FEtype_error_list(v7);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v6 = v7;
     }
     {
      cl_object v7z;
      v7z = ECL_NIL;
L14:;
      if (!(ecl_endp(v6))) { goto L16; }
      goto L15;
L16:;
      v5y = ECL_CONS_CAR(v6);
      {
       cl_object v8;
       v8 = ECL_CONS_CDR(v6);
       if (ecl_unlikely(!ECL_LISTP(v8))) FEtype_error_list(v8);
       value0 = ECL_NIL;
       cl_env_copy->nvalues = 0;
       v6 = v8;
      }
      T0 = ecl_cdr(v3x);
      T1 = ecl_cdr(v5y);
      T2 = (ECL_SYM("STRING=",824)->symbol.gfdef);
      T3 = cl_intersection(4, T0, T1, ECL_SYM("TEST",1350), T2);
      v7z = cl_remove_duplicates(1, T3);
      if (Null(v7z)) { goto L27; }
      T0 = ecl_car(v3x);
      T1 = ecl_car(v5y);
      T2 = cl_list(3, T0, T1, v7z);
      cl_error(5, ECL_SYM("SIMPLE-PROGRAM-ERROR",1163), ECL_SYM("FORMAT-CONTROL",1269), VV[12], ECL_SYM("FORMAT-ARGUMENTS",1268), T2);
L27:;
      goto L14;
L15:;
     }
    }
   }
   v2list = ecl_cdr(v2list);
L4:;
   if (ecl_endp(v2list)) { goto L32; }
   goto L3;
L32:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*      function definition for DODEFPACKAGE                          */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L666dodefpackage(cl_object v1name, cl_object v2nicknames, cl_object v3documentation, cl_object v4lock, cl_object v5use, cl_object v6local_nicknames, cl_object v7shadowed_symbol_names, cl_object v8interned_symbol_names, cl_object v9exported_symbol_names, cl_object v10shadowing_imported_from_symbol_names_list, cl_object v11imported_from_symbol_names_list, cl_object v12exported_from_package_names)
{
 cl_object T0, T1, T2;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_find_package(v1name))) { goto L2; }
  if (Null(v2nicknames)) { goto L4; }
  cl_rename_package(3, v1name, v1name, v2nicknames);
L4:;
  if (Null(v5use)) { goto L1; }
  T0 = cl_find_package(v1name);
  T1 = cl_package_use_list(T0);
  cl_unuse_package(2, T1, v1name);
  goto L1;
L2:;
  cl_make_package(7, v1name, ECL_SYM("USE",1358), ECL_NIL, ECL_SYM("NICKNAMES",1310), v2nicknames, ECL_SYM("LOCAL-NICKNAMES",1301), v6local_nicknames);
L1:;
  T0 = cl_find_package(v1name);
  ecl_bds_bind(cl_env_copy,ECL_SYM("*PACKAGE*",45),T0); /*  *PACKAGE* */
  if (Null(v3documentation)) { goto L8; }
  {
   cl_object v13;
   v13 = ecl_symbol_value(ECL_SYM("*PACKAGE*",45));
   (cl_env_copy->function=ECL_CONS_CAR(VV[20]))->cfun.entry(3, v3documentation, v13, ECL_T) /*  (SETF DOCUMENTATION) */;
  }
L8:;
  cl_shadow(1, v7shadowed_symbol_names);
  {
   cl_object v13;
   v13 = v10shadowing_imported_from_symbol_names_list;
   goto L16;
L15:;
   {
    cl_object v14item;
    v14item = ecl_car(v13);
    {
     cl_object v15package;
     T0 = ecl_car(v14item);
     v15package = cl_find_package(T0);
     {
      cl_object v16;
      v16 = ecl_cdr(v14item);
      goto L25;
L24:;
      {
       cl_object v17name;
       v17name = ecl_car(v16);
       T0 = L667find_or_make_symbol(v17name, v15package);
       cl_shadowing_import(1, T0);
      }
      v16 = ecl_cdr(v16);
L25:;
      if (Null(v16)) { goto L32; }
      goto L24;
L32:;
     }
    }
   }
   v13 = ecl_cdr(v13);
L16:;
   if (Null(v13)) { goto L36; }
   goto L15;
L36:;
  }
  cl_use_package(1, v5use);
  {
   cl_object v13;
   v13 = v11imported_from_symbol_names_list;
   goto L43;
L42:;
   {
    cl_object v14item;
    v14item = ecl_car(v13);
    {
     cl_object v15package;
     T0 = ecl_car(v14item);
     v15package = cl_find_package(T0);
     {
      cl_object v16;
      v16 = ecl_cdr(v14item);
      goto L52;
L51:;
      {
       cl_object v17name;
       v17name = ecl_car(v16);
       value0 = L667find_or_make_symbol(v17name, v15package);
       if ((value0)!=ECL_NIL) { goto L59; }
       T0 = ecl_list1(ECL_NIL);
       goto L57;
L59:;
       T0 = value0;
       goto L57;
L57:;
       cl_import(1, T0);
      }
      v16 = ecl_cdr(v16);
L52:;
      if (Null(v16)) { goto L63; }
      goto L51;
L63:;
     }
    }
   }
   v13 = ecl_cdr(v13);
L43:;
   if (Null(v13)) { goto L67; }
   goto L42;
L67:;
  }
  {
   cl_object v13;
   v13 = (ECL_SYM("INTERN",444)->symbol.gfdef);
   {
    cl_object v14;
    cl_object v15;
    v14 = ECL_NIL;
    {
     cl_object v16;
     v16 = v8interned_symbol_names;
     if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v15 = v16;
    }
L75:;
    if (!(ecl_endp(v15))) { goto L77; }
    goto L76;
L77:;
    v14 = ECL_CONS_CAR(v15);
    {
     cl_object v16;
     v16 = ECL_CONS_CDR(v15);
     if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v15 = v16;
    }
    ecl_function_dispatch(cl_env_copy,v13)(1, v14);
    goto L75;
L76:;
    goto L69;
   }
  }
L69:;
  {
   cl_object v13;
   v13 = (ECL_SYM("INTERN",444)->symbol.gfdef);
   {
    cl_object v14;
    cl_object v15;
    v14 = ECL_NIL;
    {
     cl_object v16;
     v16 = v9exported_symbol_names;
     if (ecl_unlikely(!ECL_LISTP(v16))) FEtype_error_list(v16);
     value0 = ECL_NIL;
     cl_env_copy->nvalues = 0;
     v15 = v16;
    }
    {
     cl_object v16;
     cl_object v17;
     v16 = ecl_list1(ECL_NIL);
     v17 = v16;
L97:;
     if (!(ecl_endp(v15))) { goto L99; }
     goto L98;
L99:;
     v14 = ECL_CONS_CAR(v15);
     {
      cl_object v18;
      v18 = ECL_CONS_CDR(v15);
      if (ecl_unlikely(!ECL_LISTP(v18))) FEtype_error_list(v18);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      v15 = v18;
     }
     {
      cl_object v18;
      v18 = v17;
      if (ecl_unlikely(ECL_ATOM(v18))) FEtype_error_cons(v18);
      value0 = ECL_NIL;
      cl_env_copy->nvalues = 0;
      T1 = v18;
     }
     T2 = ecl_function_dispatch(cl_env_copy,v13)(1, v14);
     v17 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=v17,T1);
     goto L97;
L98:;
     T0 = ecl_cdr(v16);
     goto L89;
    }
   }
  }
L89:;
  cl_export(1, T0);
  {
   cl_object v13;
   v13 = v12exported_from_package_names;
   goto L118;
L117:;
   {
    cl_object v14package;
    v14package = ecl_car(v13);
    {
     cl_object v15;
     cl_object v16;
     cl_object v17symbol;
     T0 = cl_find_package(v14package);
     v15 = ecl_function_dispatch(cl_env_copy,VV[21])(3, T0, VV[13], ECL_T) /*  PACKAGES-ITERATOR */;
     v16 = ECL_NIL;
     v17symbol = ECL_NIL;
     goto L128;
L127:;
     value0 = ecl_function_dispatch(cl_env_copy,v15)(0);
     {
      const int v18 = cl_env_copy->nvalues;
      v16 = value0;
      cl_object v19;
      v19 = (v18<=1)? ECL_NIL : cl_env_copy->values[1];
      v17symbol = v19;
     }
     if ((v16)!=ECL_NIL) { goto L132; }
     goto L122;
L132:;
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       cl_object v18;
       v18 = _ecl_inner_frame;
       {
        cl_object v19;
        v19 = ECL_SYM("LIST",483);
        T1 = cl_string(v17symbol);
        cl_env_copy->values[0] = cl_find_symbol(1, T1);
        ecl_stack_frame_push_values(v18);
        value0 = ECL_NIL;
        cl_env_copy->nvalues = 0;cl_env_copy->values[0]=ecl_apply_from_stack_frame(v18,v19);
        value0 = cl_env_copy->values[0];
       }
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
     T0 = value0;
     if (Null(ecl_cadr(T0))) { goto L134; }
     T0 = cl_string(v17symbol);
     T1 = cl_intern(1, T0);
     T2 = ecl_list1(T1);
     cl_export(1, T2);
L134:;
L128:;
     goto L127;
    }
L122:;
   }
   v13 = ecl_cdr(v13);
L118:;
   if (Null(v13)) { goto L145; }
   goto L117;
L145:;
   ecl_bds_unwind1(cl_env_copy);
  }
  if (Null(v4lock)) { goto L147; }
  ecl_function_dispatch(cl_env_copy,ECL_SYM("LOCK-PACKAGE",1126))(1, v1name) /*  LOCK-PACKAGE */;
L147:;
  value0 = cl_find_package(v1name);
  return value0;
 }
}
/*      function definition for FIND-OR-MAKE-SYMBOL                   */
/*      optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L667find_or_make_symbol(cl_object v1name, cl_object v2package)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;                                  /*  SYMBOL          */
   cl_object v5;                                  /*  FOUND           */
   value0 = cl_find_symbol(2, v1name, v2package);
   {
    v4 = value0;
    v5 = cl_env_copy->values[1];
   }
   if ((v5)!=ECL_NIL) { goto L2; }
   T0 = cl_list(2, v1name, v2package);
   si_signal_simple_error(6, ECL_SYM("PACKAGE-ERROR",620), VV[14], VV[15], T0, ECL_SYM("PACKAGE",1318), v2package);
   v4 = cl_intern(2, v1name, v2package);
L2:;
   value0 = v4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "lsp/defpackage.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclEusiUetpENzr9_qG0pUB71(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:LSP;DEFPACKAGE.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclEusiUetpENzr9_qG0pUB71@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(VVtemp[0]);
  ecl_cmp_defmacro(VV[16]);                       /*  DEFPACKAGE      */
  (void)0; /* No entry created for CHECK-DISJOINT */
  ecl_cmp_defun(VV[19]);                          /*  DODEFPACKAGE    */
  (void)0; /* No entry created for FIND-OR-MAKE-SYMBOL */
}
